Microsoft System Management Server 2003 Management Pack for Operations Manager 2007

Welcome to the Microsoft® System Management Server 2003 management pack for Operations Manager 2007. The management pack provides new and improved capabilities for SMS 2003 monitoring.

Management Pack Resources

For more information features and resources, see the following topics.

Overview of System Management Server 2003 Management Pack

  • Management Pack Monitoring Scenarios

  • Deploying the SMS 2003 Management Pack

  • Performing Operations Tasks for the SMS2003 Management Pack

  • Troubleshooting the SMS 2003 Management Pack

  • Reference for Microsoft System Management Server 2003 Management Pack


Overview of System Management Server 2003 Management Pack

This guide will familiarize you with deployment and technical information about the SMS 2003 Management Pack. With this information, you can plan your Management Pack deployment, understand the features that the Management Pack offers, and understand how to use those features to benefit your IT organization.

The System Center Operations Manager 2007 Management Pack for SMS provides improved capabilities for SMS 2003 monitoring, including the following:

  • Monitoring the starting and stopping of all SMS 2003 services, including critical dependent services like Windows Management Instrumentation (WMI), Internet Information Services (IIS), Background Intelligent Transfer Service (BITS) and Microsoft SQL Server™.

  • Alerting the SMS administrator to critical SMS status messages.

  • Monitoring backlogs of discovery data records (DDRs), software inventory, hardware inventory, status messages, and software metering on both primary site servers and management points.

  • Monitoring system resource usage.

  • Monitoring processing rates.

  • Monitoring the performance trends of many SMS performance counters by using views and reports.

  • Product knowledge content for all alerts and processing rules.

  • Detecting all SMS 2003 computers and computer groups.

  • Views.

  • Reports displaying performance, availability and configuration of SMS 2003 management points and server groups. These include linked reports providing enhanced reporting of Systems Center Operations Manager 2007 for performance, configuration and availability trends.

  • Monitoring of Device Management Feature Pack.

  • Tasks for executing SMS Administrator console applications.

  • State view containing the health of all SMS server roles and the SMS Advanced Client.

  • Service Discovery of important SMS server and SMS client information.

  • Suppression of Service Unavailable alerts arising from the execution of SMS Site Backup.

  • Topology diagram of the SMS site hierarchy (SMS 2003 service pack 3 required).

  • SMS 2003 Service Pack 3 (SP3) configurable alerting on distributed program execution failure through SMS program properties.

For more information about monitoring scenarios and features, see the Management Pack Monitoring Scenarios. The SMS 2003 Management Pack is not designed to do the following:

  • Provide the monitoring of SMS 1.2, SMS 2.0, SMS 2003 SP2.

  • Monitor mixed SMS environments. Mixed environments have SMS 1.2, SMS 2.0, and SMS 2003 installations running side by side.

  • Limited monitoring of SMS client-only computers running the SMS Advanced Client.

  • Provide an out-of-the-box monitoring solution that manages any SMS 2003 installation without any modifications. Rule thresholds are different for every SMS 2003 installation and customers must customize rules themselves.

In This Section

What's New in This Update

Recommended Knowledge

Supported SMS Configuration

See Also

Concepts

Management Pack Monitoring Scenarios
Deploying the SMS 2003 Management Pack

Other Resources

Performing Operations Tasks for the SMS2003 Management Pack
Troubleshooting the SMS 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


What's New in This Update

The Systems Management Server 2003 Management Pack for Operations Manager 2007 includes maintenance mode. Maintenance mode suppresses Operations Manager alerts being sent by client computers while SMS software is being run on the client computer.

Update Maintenance Mode for SMS 2003

When System Management Server 2003 distributes software to computers, it is often necessary to temporarily disable Operations Manager rule-based alerts generated by the target computer. For example, deploying hotfixes and security patches to servers may require shutting down threads and services. If threads or services on these servers are monitored by a management pack, numerous Operations Manager alerts may be generated, overloading the Operations Manager server.

The Disable MOM alerts while this program runs check box suspends Operations Manager alerts until the distributed software has finished. The SMS administrator can set this check box in the SMS package program properties. Setting this option suppresses Operations Manager alerts for all management packs that target the client computer while the client computer is executing that program.

If this option is selected, when the advertisement runs on the targeted machine the Operations Manager agent is placed in maintenance mode. The SMS agent also provides a timeout setting for the Operations Manager agent. After the advertisement runs on the targeted computer, the SMS client agent will resume the Operations Manager agent monitoring on the computer. Any events triggering alerts after this time will be reported normally.

If the software distribution fails to run on the target computer, the following actions take place:

  • If the distribution returns a failure code then the SMS agent will remove the Operations Manager agent from maintenance mode as if the distribution had been successful.

  • If the distribution fails unexpectedly and the SMS agent does not receive a failure code within a predefined timeout, the Operations Manager agent will exit maintenance mode.

Enable Maintenance Mode for an SMS 2003 Program

Use the following procedure for enabling maintenance mode on client computers while SMS 2003 programs are running.

To enable maintenance mode for an SMS 2003 program

  1. In the Systems Management Server console, navigate to Systems Management Server / Site Database - <site server name> / Packages.

  2. In the details pane, right-click the Program, and then click Properties.

  3. In the Program Properties dialog box, click the MOM tab.

  4. Select Disable MOM alerts while this program runs, and then click OK.

After enabling maintenance mode for the SMS 2003 program, the client computer will enter maintenance mode when the SMS 2003 package is distributed and run.

Note
The timeout for maintenance mode is set in the Program Properties dialog box on the Requirements tab with the Maximum allowed runtime property selected.

SMS 2003 Site Topology

The hierarchy diagrams of SMS 2003 in Microsoft Operations Manager (MOM) 2005 have been replaced with an SMS 2003 site hierarchy. The hierarchy view now displays server roles in the topology view.

Configuration Scripts Removed

Because SMS 2003 SP2 or later is the recommended version of SMS, configuration scripts have been removed.

Reports for SMS 2003

SMS 2003 contains new reports that focus on performance counters by site system role and performance counters by object processing counter, such as counters related to DDR's. For more information about the new reports, see Reports for SMS 2003.

See Also

Concepts

Reports for SMS 2003

Other Resources

Scripts for SMS 2003


Recommended Knowledge

To deploy and operate the SMS 2003 Management Pack, it is recommended that you have the following knowledge and skills:

  • A working knowledge of Operations Manager 2007 monitoring features. For more information about Operations Manager 2007, see the Operations Manager 2007 web page (http://go.microsoft.com/fwlink/?LinkID=83259).

  • An understanding of the Operations Manager 2007 design architecture and the design architecture that is deployed in your organization.

  • A familiarity with the recommended process for deploying Management Packs as described in the System Center Operations Manager 2007 Deployment Guide.

  • A working knowledge of SMS concepts and terminology. For more information about SMS 2003, see the SMS 2003 Product Documentation web page, (http://go.microsoft.com/fwlink/?linkid=9502).

See Also

Concepts

Management Pack Monitoring Scenarios
Deploying the SMS 2003 Management Pack

Other Resources

Performing Operations Tasks for the SMS2003 Management Pack


Supported SMS Configuration

The requirements for SMS 2003 and Systems Center Operations Manager 2007 are documented in their respective deployment guides. The SMS 2003 Management Pack monitors SMS 2003. SMS 2003 SP2 and later releases are recommended. Running SMS 2003 SP1 will require a stamping script be run.

Enabling maintenance mode during software distribution and mapping topology with Operations Manager 2007 require SMS 2003 SP3 or later.

This SMS 2003 Management Pack does not monitor SMS 1.2 , SMS 2.0 or Configuration Manager 2007.

See Also

Other Resources

Reference for Microsoft System Management Server 2003 Management Pack
Troubleshooting the SMS 2003 Management Pack


Management Pack Monitoring Scenarios

The Microsoft® Systems Management Server (SMS) 2003 provides new and improved capabilities for SMS 2003 monitoring. The following sections describe the primary scenarios that the SMS 2003 Management Pack supports, along with a description of its features.

Service Availability

Service Discovery

Availability Monitoring

State Monitoring

Agentless Monitoring Support

Performance Threshold Monitoring

Performance Monitoring

Critical SMS Status Message Monitoring

Site System Monitoring

Executive Crash Dump Monitoring

Backlog Monitoring

General Health Monitoring

SMS Patch Management Monitoring

SMS Site Backup Monitoring

Product Knowledge Content for All Alerts

Computer Groups for All SMS 2003 Server and Client Roles

Expanded Monitoring

Software Distribution Program Run Status

Service Availability

Service availability monitors the availability of SMS 2003 services by using both the Service Availability feature of System Center Operations Manager 2007 and the Service Control Manager events in the NT Event System Log. Service availability monitoring generates:

  • An alert when SMS-based services stop on SMS site systems.

  • An alert when a critical SMS dependent service, such as Windows Management Instrumentation (WMI), stops or fails to start on SMS site systems.

  • An alert when other SMS dependent services, such as Microsoft SQL Server™, Internet Information Services (IIS), and Background Intelligent Transfer Service (BITS) stop or fail to start on SMS site systems.

  • An alert when the SMS Site Backup service is started and stopped, so you can monitor backup durations and correlate stop events from other SMS services to SMS Site Backup.

Service Discovery

Service discovery is the process of discovering data, server roles, and components on managed computers. Service discovery returns information about SMS servers and SMS Advanced Clients. It also supports the presentation of the SMS servers and SMS client roles in the state monitoring view.

Server-specific service discovery data is collected and begins to display in the System Center Operations Console after the Management Pack is deployed. Features that require identifying roles, computer groups, and target computers for specific tasks are not available until after service discovery data is collected for the first time.

The SMS 2003 Management Pack uses the following event processing rules to launch service discovery scripts:

  • SMS Clients\SMS Clients - Advanced\SMS 2003 Service Discovery

  • SMS Servers\SMS Servers - Common\SMS 2003 Service Discovery

The scripts use an asynchronous timed provider to collect service discovery data once every 24 hours by default. The provider also runs following:

  • Deployment of the Management Pack

  • Configuration changes to the Management Pack

  • Starting and stopping the Operations Manager 2007 agent

Availability Monitoring

In this release of the SMS Management Pack, three availability reports are provided: SMS 2003 Server Availability Report, SMS 2003 Management Point Availability Report and SMS 2003 Site Server Availability Report.

The Management Point Availability report is a component health–based availability report. Management point availability is based on a new algorithm, new rules, and the SMS 2003 Monitor Management Point Availability script.

All reports, including the new reports referenced in this section, run against the OperationsManager database, which allows you to specify longer reporting time durations than the prior script, which created the stored procedures in the OperationsManager database only.

For more information about server availability, see the Scripts for SMS 2003 and Reports for SMS 2003.

State Monitoring

State monitoring provides a graphic representation of the health of all servers or servers scoped to specific computer groups. The Management Pack supports this feature with a specific list of computer groups. Server roles and components are managed through service discovery and component health is managed by a set of rules for service availability, performance thresholds and Management Point health.

The table below shows the health states that are monitored for SMS components by color.

SMS Server State Monitoring

SMS Component | Green (Successful) | Yellow (Warning) | Red (Critical)
Site server (SS) | Yes | Yes | Yes
Management point (MP) | Yes | Yes | Yes
Site database (DB) | Yes | Yes | Yes
Distribution point (DP) | Yes |  |
Server locator point (SLP) | Yes |  | Yes
Sender | Yes |  | Yes
Reporting point (RP) | Yes |  | Yes
Provider | Yes |  | Yes
Client access point (CAP) | Yes |  | Yes
Performance | Yes | Yes | Yes
Note
There are no monitoring rules that will change the state of the distribution point component, so if the component is present, it is reported in a green state only. If a distribution point component is not present, state health is not represented in the console.

SMS Client State Monitoring

SMS Component | Green (Successful) | Yellow (Warning) | Red (Critical)
Client service | Yes |  | Yes

Agentless Monitoring Support

The SMS 2003 Management Pack supports monitoring on agentless managed computers except for the features listed below:

  • Critical SMS status message monitoring

  • Site system status monitoring

  • Topology

The scripts that support the above features are:

  • SMS 2003 Monitor SMS Status Messages

  • SMS 2003 Monitor Site System Summarizer

  • SMS 2003 Server Topology: Discovery

These scripts must run locally against the SMS Provider to access the SMS namespace. If the scripts cannot locate the SMS namespace, a script error event occurs.

Performance Threshold Monitoring

Reduced performance levels might create delays and affect customer service level agreements (SLAs) in terms of time, performance, and data accuracy. It is important to detect and resolve critical performance problems in the SMS infrastructure. Performance threshold monitoring generates an alert when:

  • General computer-wide health metrics relating to CPU, paging file, and memory on SMS site systems exceed certain thresholds.

  • The total number of Microsoft SQL Server™ user connections exceeds a threshold.

  • The total number of SMS files [such as scheduler jobs; send requests; software metering records; discovery data records (DDRs); and software inventory and hardware inventory records] exceeds certain thresholds in the SMS site server inboxes.

  • The total number of SMS messages relating to status messages, DDRs, software inventory, and hardware inventory in the SMS management point message queues exceed certain thresholds.

Performance Monitoring

Performance monitoring enables you to watch for trends in backlogs, processing rates, and total counts of key SMS objects to help identify and proactively resolve problems. Performance trending monitors the following trends graphically, by using Operations Manager 2007 Views and Reports:

  • Backlog files in inboxes relating to scheduler jobs, send requests, software metering records, DDRs, hardware inventory, software inventory, and status messages on SMS site servers.

  • Processing rates of scheduler jobs, send requests, software metering records, DDRs, hardware inventory, software inventory, and status messages on SMS site servers.

  • Total number of scheduler jobs, send requests, software metering records, DDRs, hardware inventory, software inventory, and status messages on SMS site servers.

  • Backlogs of messages relating to DDRs, hardware inventory, software inventory, software metering, status messages, and other SMS objects on SMS management point server message queues.

  • Processing rates of DDRs, hardware inventory, software inventory, software metering, status messages, and other SMS objects on SMS management point server message queues.

  • Totals of DDRs, hardware inventory, software inventory, relays, and status messages on SMS management point server message queues.

  • Total number of SQL Server user connections on SMS site database servers.

  • Computer-wide health metrics relating to CPU, paging file, and memory on SMS site systems.

  • Total number of SMS Executive threads that are running.

  • Rate of ISAPI extension requests to IIS.

Critical SMS Status Message Monitoring

The SMS infrastructure generates SMS status messages. It is important to identify the critical server-related SMS status messages and resolve them in a timely manner. These typically indicate problems in the availability, performance, configuration, and overall health of the SMS infrastructure.

Critical SMS status message monitoring generates an alert when status messages critical to SMS site role health are detected (such as component installation, database connectivity, and site connectivity). The SMS site database is scanned for critical SMS status messages once every half hour.

Site System Status Monitoring

SMS monitors the basic health of its site systems periodically through its site system status summarizer, which polls SMS site systems once every hour, on the hour. To benefit from this feature, this status must be acted on quickly to prevent degradation of SMS functionality. Site system status monitoring provides the ability to monitor and generate an alert when SMS site system summarizer status critical to the health of the SMS site system is detected. Some of the monitored status messages include an SMS site system being down, a server running SQL Server that is running out of database space or log space, and SMS site systems running out of physical disk space.

Executive Crash Dump Monitoring

SMS Executive service failures impact SMS availability and it is important to know when crash dumps occur and to investigate the root causes. When the SMS Executive service fails, it creates a crash dump log subdirectory under the SMS\Logs\CrashDumps directory. Creation of this subdirectory is monitored, and an alert is generated for any SMS server role that depends on the SMS Executive service.

The SMS 2003 Monitor SMS Executive Crash Dumps script reports only the most recent crash dump. This applies no matter how long ago the last crash dump occurred, from the first time that the script is run to anytime SMS Executive is uninstalled and later reinstalled.

The related rules exist under the Microsoft SMS 2003 Component Servers based on SMS Executive rule group:

  • SMS 2003 Crash Dumps: Monitoring SMS Executive

SMS 2003 Crash Dumps: Monitoring SMS Executive launches the script using the SMS 2003 Schedule every 60 minutes synchronize at 00:10 timed event provider. Summary information is provided on the Knowledge property page of the rule.

  • SMS 2003 Crash Dumps: Monitoring SMS Executive script error

SMS 2003 Crash Dumps: Monitoring SMS Executive script error monitors for and alerts on any script error events that might be raised. There is only one script error event, number 1102, which reports all script errors. Information about resolution of the alert is provided on the Knowledge property page of the rule.

  • SMS 2003 Crash Dumps: SMS Executive crash

SMS 2003 Crash Dumps: SMS Executive crash monitors for and alerts on the crash dump event. Information about resolution of the alert is provided on the Knowledge property page of the rule.

Backlog Monitoring

Backlogs create delays that affect customer service level agreements (SLAs) in terms of time, performance, and data accuracy. It is important to promptly detect and resolve critical performance problems in the SMS infrastructure. An alert is generated when a backlog is above a threshold over a given period of time for:

  • The total number of SMS files such as scheduler jobs; send requests; software metering records; discovery data records (DDRs); and software inventory and hardware inventory records in SMS site server inboxes.

  • The total number of SMS objects [such as scheduler jobs; send requests; software metering records; discovery data records (DDRs); and software inventory and hardware inventory records] in SMS site server queues.

The total number of SMS messages relating to status messages, DDRs, software inventory, and hardware inventory in SMS management point message queues.

General Health Monitoring

General health monitoring generates an alert when a health metric on an SMS server is above a certain threshold over a period of time. General health monitoring checks the following metrics:

  • Processor Time at 95% over three hours

    • Smsexec

    • Ccmexec

    • Total

  • Paging File Usage at 98% over three hours

SMS Patch Management Monitoring

SMS Administrators depend on SMS patch management features to keep client and server computers in their enterprises current with the most recent security updates. Patch management monitoring detects any failure in the SMS patch management processing and configuration. SMS patch management monitoring generates an alert when:

  • The SMS patch management synchronization process fails.

  • The SMS patch management process fails to update SMS distribution points with the updates.

SMS Site Backup Monitoring

Knowing when SMS 2003 Backup started, completed, or failed can help SMS administrators audit backup activities. You can schedule SMS Backup to run periodically to back up the data, policies, and configuration of SMS. It is important to monitor failures of this backup process and to take corrective action. Even when SMS Backup succeeds, it affects service availability because this process stops and starts the SMS Site Component Manager, SMS Executive, and SMS SQL Monitor services. Monitoring SMS Backup helps track known downtimes in these services because alerts about these services stopping is suppressed during the backup process. The following rules support monitoring SMS Site Backup:

  • SMS 2003 service stopped running: SMS_SITE_BACKUP

  • SMS 2003 service started running: SMS_SITE_BACKUP

  • SMS 2003 Status: Site Backup completed successfully

  • SMS 2003 Status: Site Backup failed

Product Knowledge Content for All Alerts

Administrators can reference product knowledge content for all alerts to assist them in specifically identifying a problem and resolving it. To access product knowledge content, right-click any rule name, click Properties, and then click the Product Knowledge tab.

Computer Groups for All SMS 2003 Server and Client Roles

Computer group resolution is now set to specific SMS server and client roles. This provides administrators with greater control in managing rule replication to Operations Manager 2007 agents. Administrators can disable the default computer groups or define new computer groups based on the default computer groups and computer attributes.

Expanded Monitoring

The rules provided in the SMS 2003 Management Pack cover basic service, performance measuring, and performance threshold monitoring for the SQL Server, IIS, and Microsoft Windows® 2000, and Windows Server® 2003 Base Operating System Management Packs. You can enable base support in the SMS 2003 Management Pack for these Management Packs, or you can retain the disabled settings and enable the appropriate rules in other Management Packs.

  • Use the SQL Server Management Pack to expand monitoring of SMS site database servers and management points that have SQL Server dependencies.

  • Use the IIS Management Pack to monitor IIS on reporting points, management points, and server locator points. The IIS Management Pack can also monitor distribution points with BITS enabled.

  • Use the Microsoft Windows 2000 and Windows Server 2003 Base Operating System Management Pack to monitor basic Windows components such as CPU, disk, and memory statistics.

There are other Management Packs, for which the SMS 2003 Management Pack does not provide rules, which enhance the monitoring of your SMS 2003 infrastructure.

  • Use the Windows Network Load Balancing Management Pack if you are using Network Load Balancing to support multiple management points in your SMS hierarchy for scalability reasons.

  • Use the Windows Active Directory® Directory Management Pack to monitor the health of your Active Directory infrastructure.

If you deploy multiple Management Packs in your environment, you might receive redundant alerts based on rules that exist in both Management Packs. If you disable redundant monitoring rules, you might be affecting the accuracy of the state view for your deployed Management Packs. You should carefully consider the trade-off between receiving redundant alerts and having state monitoring work for each Management Pack that you deploy. Depending on which additional Management Packs you have deployed, you should review these redundant rules to identify any rules that you might want to enable in your environment. After installing these Management Packs, confirm that they are customized as necessary, configured properly, and have the appropriate rules enabled.

Software Distribution Program Run Status

The SMS Advanced Client can report program failures through the Management Pack.

Administrators can select the Generate MOM alert if this program fails check box on the MOM tab in the Program Properties dialog box.

Procedure

Enabling Operations Manager 2007 alerts if an SMS 2003 program fails to run requires the following steps:

To enable Operations Manager 2007 alerts for an SMS 2003 program

  1. In the Systems Management Server console navigate to Systems Management Server / Site Database - <site server name> / Packages.

  2. In the details pane right-click the Program and select Properties. The program properties dialog box opens.

  3. Select the MOM tab

  4. Click Generate MOM alert if this program fails to run checkbox. Click OK.

See Also

Concepts

Deploying the SMS 2003 Management Pack

Other Resources

Reference for Microsoft System Management Server 2003 Management Pack


Deploying the SMS 2003 Management Pack

Before deploying the Microsoft® Systems Management Server (SMS) 2003 Management Pack, review the Microsoft Operations Manager 2007 Deployment Guide on the Operations Manager 2007 web page (http://go.microsoft.com/fwlink/?LinkID=83259). This section provides additional instructions for deploying Operations Manager management packs.

To deploy the SMS 2003 Management Pack, you must complete the following processes:

  • Deploy the Operations Manager 2007 agent to all SMS server component computers.

Note
If Operations Manager 2007 maintenance mode or topology mapping is required, you must deploy SMS 2003 SP3 before importing the SMS 2003 management pack or installing the Operations Manager 2007 agent.

  • Import the SMS 2003 Management Pack into an Operations Manager 2007 configuration group.

  • Configure SMS Providers and SMS Site Database servers to so that Operations Manager 2007 agents can proxy for other computers.

  • Complete the recommended test and pilot test tasks.

  • Complete the recommended tuning tasks.

In This Section

Deploying the Operations Manager 2007 Agent

Testing and Piloting the Management Pack

Customizing the Management Pack

See Also

Concepts

Management Pack Monitoring Scenarios

Other Resources

Overview of System Management Server 2003 Management Pack
Performing Operations Tasks for the SMS2003 Management Pack
Troubleshooting the SMS 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


Deploying the Operations Manager 2007 Agent

The Operations Manager agent runs on each computer that Operations Manager monitors. To view the computer groups that the SMS 2003 Management Pack monitors, see the Computer Groups for SMS 2003 section in this guide. The Operations Manager 2007 agent collects monitoring data on the managed computer, applies rules to the collected data, and then sends the resulting data to the Data Consolidator Agent Manager (DCAM). Monitoring functionality on an agent computer is provided by the Operations Manager 2007 Service (HealthService.exe), Operations Manager 2007 Host (MonitoringHost.exe) and the Agent Action Account.

To deploy the Operations Manager 2007 agent, you can use the Operations Manager 2007 installation wizard or SMS software distribution. For details on deploying the Operations Manager 2007 agent and using the Operations Manager 2007 installation wizard, see “Discovering Computers and Deploying MOM Agents” in the Microsoft Operations Manager 2007 Deployment Guide. For more information, see the Operations Manager 2007 web page (http://go.microsoft.com/fwlink/?LinkID=83259).

Note
It is recommended that you run the Operations Manager 2007 agent on the SMS Provider computers by using the LocalSystem account or an account with sufficient rights to access the SMS 2003 WMI namespaces root, root\cimv2, root\sms, and the SMS registry key and subkeys.

To determine whether agentless monitoring can be used in your environment, see Agentless Monitoring Support in Management Pack Monitoring Scenarios.

Defining the SMS Environment Variable to Support Log-Based Rules

A number of rules in the SMS 2003 SP3 management pack read SMS based log files to check for errors. This task requires the path to the SMS installation folder be defined on the SMS Site Server.

The following rules under SMS Site Servers - Common are based on the sender.log and distmgr.log files respectively:

  • SMS 2003 Component: The sender cannot connect to remote site over the LAN (Standard Security)

  • SMS 2003 Component: The sender cannot connect to remote site over the RAS connection

  • SMS 2003 Component: The sender cannot connect to remote site over the LAN (Advanced Security)

  • SMS 2003 Component: Distribution Manager failed to process a package

To specify the location of the SMS installation folder the script uses a system environment variable on the SMS site server. The administrator must create the %SMS_INSTALL_DIR_PATH% environment variable as a system environment variable so that the MOM Agent running under any user context has access to the log files. The script will then look in the %SMS_INSTALL_DIR_PATH%\Logs directory for the sender.log and distmgr.log files. For more information about setting system environment variables, see the system environment variable web page (http://go.microsoft.com/fwlink/?LinkId=92316).

In order for the MOM Health Agent to use this system environment variable the SMS Site Server may need to be restarted.

Configuring Agent Computers to Run in Low Privilege Scenarios

Monitoring functionality on an agent computer is provided by the Operations Manager 2007 Service (HealthService.exe), Operations Manager 2007 Host (MonitoringHost.exe) and the Agent Action Account. On Microsoft Windows® 2000, the Action Account must be a member of the local administrators group. On Microsoft Windows™ 2003, you can use a low-privileged account for the agent’s Agent Action Account under certain circumstances. However, configuring the Action Account and the user context that the Operations Manager 2007 Service and Operations Manager 2007 Host process run under with the necessary rights and permissions to run the SMS 2003 Management Pack features requires significant manual configuration on the agent computer. On Microsoft Windows Server™ 2003, the Agent Action Account must have the following minimum user rights and permissions:

  • Member of the Local Users group

  • Access to Windows Event Logs

  • Manage auditing and security log permission (SeSecurityPrivilege)

  • Generate security audits” permission (SeAuditPrivilege)

  • Allow log on locally permission (SeInteractiveLogonRight)

In a low-privileged scenario, the SMS 2003 Management Pack requires that the account used for the Agent Action Account have additional rights and permissions. The following table details the access rights that must be configured manually.

Access Types Required By the SMS 2003 Management Pack

Resource | Access Type | Instructions
Windows Event Log | Read | The Action Account must be given the Manage auditing and security log privilege using Local or Global Policy.
SMS registry keys | Read | HKLM\Software\Microsoft\SMS Add the Action Account to the registry properties and provide read access that is inherited by all subkeys.
Win32 Services registry keys | Read | HKLM\System\CurrentControlSet\Services Add Action Account to the local users group.
Script generated temp files | Read and Write | %Windir%\Temp Add Action Account to the local users group .
Script generated log files | Read and Write | %Windir%\Microsoft Operations Manager Add the Action Account to the folder properties.
SMS log files | Read | \SMS\Logs Add the Action Account to the folder properties.
WMI namespaces | Read | root and root\cimv2 No action should be required.
SMS WMI namespaces | Read | No action should be required.
SMS WMI classes | Read | SMS_Site SMS_R_System SMS_SystemResourceList SMS_SiteSystemSummarizer Add the Action Account to the class for all instances
Security login rights to the default instance | Grant access | For the default instance on a managed SQL Server computer, the Action Account must be given Grant access rights for security logins. In SQL Server Enterprise Manager, add the Action Account to the following node: instancename\Security\Logins.
Access to the Master database on the default instance (required to identify the SMS Site database) | Permit | For the default instance on a managed SQL Server computer, the Action Account must be given permit access to the Master database. In SQL Server Enterprise Manager, add the Action Account to the following node: instancename\Databases\Master\Users. Keep all default permissions associated with this new user.
Access to the SMS Site database on the default instance | Permit | For the default instance on a managed SQL Server computer, the Action Account must be given permit access to the SMS Site database. In SQL Server Enterprise Manager, add the Action Account to the following node: instancename\Databases\<SMS site>\Users. Keep all default permissions associated with this new user.

See Also

Concepts

Testing and Piloting the Management Pack
Customizing the Management Pack

Other Resources

Troubleshooting the SMS 2003 Management Pack
Known Issues for SMS2003


Testing and Piloting the Management Pack

In addition to the general recommendations for testing Management Packs that are described in the Microsoft Operations Manager 2007 Deployment Guide, this section lists testing and piloting tasks that are appropriate for the SMS 2003 Management Pack. For more information, see the Operations Manager 2007 web page (http://go.microsoft.com/fwlink/?LinkID=83259).

Testing Tasks

  • Verify that the SMS 2003 computer groups are populated with computers running SMS 2003.

  • After enabling the relevant rules, ensure that the views and reports in Operations Manager 2007 are functioning properly. These include views relating to SMS processing rates and SMS backlogs.

  • By default, some rules related to other Management Packs, such as the IIS and SQL Server Management Packs, are disabled in the SMS 2003 Management Pack. Depending on what additional Management Packs you have deployed, you should review these disabled rules to identify any rules that you might want to enable in your environment.

  • By default, all performance measuring rules are disabled to minimize the impact on the agent’s CPU, memory, and network resources. These rules can be enabled for more in-depth monitoring of the agent.

  • Some of the SMS scripts that run on an SMS Provider computer, an SMS site database server, or access an SMS site database do not run in agentless mode. Verify that all computers in the Microsoft SMS 2003 Provider and Microsoft SMS Site Database Server computer groups are configured as agent-managed computers. Also, because some of these scripts may proxy events, verify that these agents are configured to enable proxying.

Pilot Testing Tasks

  • Verify that the deployment or upgrade process for the SMS 2003 Management Pack completed successfully from the previous version.

  • Verify and edit custom thresholds for your environment using the Health Monitor view of the performance threshold.

  • Enable performance rules in stages to evaluate the impact that these rules have on Operations Manager 2007 performance.

  • Verify that the SMS 2003 computer groups are populated with computers running SMS 2003.

  • After enabling the relevant rules, ensure that the views and reports in Operations Manager 2007 are functioning properly. These include views relating to SMS processing rates, processing totals, and SMS backlogs.

  • By default, some rules related to other Management Packs are disabled. Depending on what additional Management Packs you have deployed, you should review the disabled rules to identify any rules that you might want to enable in your environment.

  • By default, some performance rules are disabled to minimize the impact on the agent’s CPU, memory, and network resources. These rules can be enabled for more in-depth monitoring of the agent.

  • Verify that SMS 2003 script execution-based events are not generated. These typically indicate problems with access permissions for the script.

  • Verify that the sizing of the DCAM and SQL Server are sufficient for your production load.

  • Verify operations processes and personnel requirements.

  • Verify that paging and e-mail notification is working properly.

  • Verify that the permissions that Operations Manager 2007 is using are sufficient to run properly, without being excessive.

  • If the Operations Manager 2007 agent is not specified to run under the LocalSystem account, then ensure that the minimum security rights have been met. For more information, see the "Configuring Agent Computers to Run in Low Privilege Scenarios" section in the Deploying the Operations Manager 2007 Agent section in this guide.

  • Verify that the SMS Server and SMS Client roles appear in the State view. Click a computer that is hosting each of these roles and check that components are visible in the instance pane.

  • Verify that SMS Administrator console tasks are working by clicking a task. If the task fails to execute, check that the SMS 2003 SP2 Administrator console has been installed and that the logged on user has logged off, and then logged on again at the completion of the console installation.

  • In the State view, click an SMS Server and an SMS Client to verify that the Roles page shows the appropriate role(s) and property data.

  • In the Monitoring pane, navigate to Microsoft Systems Management Server (SMS) 2003, and then click SMS 2003 Site Hierarchy Diagram. Verify that all site systems are displayed for sites that have the Operations Manager 2007 agent installed locally on their SMS Provider. If a site system does not appear, check the SMS Administrator console to see if the site system was discovered by the site and appears in the All Systems collection.

After you complete your pilot testing, export the SMS 2003 Management Pack to back up the changes that you made to the Management Pack.

See Also

Concepts

Customizing the Management Pack
Deploying the Operations Manager 2007 Agent

Other Resources

Troubleshooting the SMS 2003 Management Pack
Known Issues for SMS2003


Customizing the Management Pack

For optimal monitoring, the SMS 2003 Management Pack can be customized based on the business needs of your organization. If the existing rules do not meet the needs of your organization, modify them or create new rules.

Note Always back up the SMS 2003 Management Pack before making changes. The Operations Manager 2007 Management Pack Export Wizard allows you to back up your unsealed Management Packs.

Customizing can include any of the following:

  • Enabling and disabling rules using overrides.

  • Creating new rules.

  • Modifying alert criteria, alert severity, and alert suppression.

  • Setting custom thresholds for rules. All performance threshold rules are configurable. If the default threshold is not optimal, you might receive unnecessary alerts or you might not be alerted because a threshold is set too high for your environment.

  • Configuring inbox monitoring event rule threshold and polling interval using overrides or in the case of threshold values by editing the XML view.

  • Adding a new inbox monitoring event rules. To add a new inbox monitoring rule, create a new rule in the Default Management Pack, then create overrides for the script input parameters (FileCountThreshold and InboxDirectoryName) and schedule.

  • Setting polling intervals for performance measuring using overrides.

  • Adding content to the company knowledge.

  • Customizing responses to alerts by changing or adding new responses to rules or by adding alert processing rules for those alerts.

  • Enabling performance measuring rules on the agent, the server running Operations Manager 2007, and the database generates a large amount of data and might potentially cause performance issues. Performance measuring rules are disabled by default to allow you to decide whether a potential performance impact is acceptable. Review the performance rules and enable these rules in small batches so you can assess the impact that these rules have on Operations Manager 2007 performance, including the size of the database.

  • Setting parameters for inbox monitoring event rules and related rules. Modify the two scripts, FileCountThreshold and InboxDirectoryName, by creating an override.

  • Reviewing rules for applicability to your environment. By default, some rules related to other Management Packs are disabled. Depending on what additional Management Packs you have deployed, you should review the disabled rules to identify any rules you might want to enable in your environment.

For more information about management pack customizations and how to export management pack customizations, see the topics "About Management Packs in Operations Manager 2007" and "How to Export Management Pack Customizations" in the Operations Manager 2007 Help.

Inbox Monitoring

The Operations Manager 2007 Export Wizard allows you to save the changes in your Default Management Pack before making additional changes.

Configuring Inbox Monitoring Rules

To deploy these rules to central, primary and secondary site servers, you must create new rules in the management pack based on rules from SMS Site Servers - Common. These rules can then be assigned to the appropriate processing rule group for the site server, modify the threshold and enable the rule.

  • SMS 2003 Inbox: Monitor inbox

  • SMS 2003 Inbox: Monitor inbox script error

  • SMS 2003 Inbox: Threshold exceeded

The SMS 2003 Inbox: Threshold exceeded event processing rule monitors events from the SMS 2003: Monitor Inbox script error script. A unique alert is generated for each inbox that is over the specified threshold count.

The default threshold setting for this script is 10,000 files in an inbox. You can create an override for this value in the default management pack for this or any script parameters. If exceeded, a “threshold exceeded” event is raised. You can modify the threshold settings by calculating the daily expected load on servers for each correctly functioning process, and then adding an acceptable percentage of buffer. The inbox monitoring rules run once per day by default, in fifteen minute increments beginning at 01:00. To minimize performance impact, it is recommended that you maintain this interval or adjust it so as to minimize any script execution overlap between the inbox monitoring rules.

The following table lists the inbox monitoring rules, default thresholds, and inboxes that are monitored under the SMS Executive provider.

SMS Executive Inbox Monitoring

Inbox Monitoring Rule Name | Default Threshold | Inbox Name
SMS 2003 Inbox: Monitor inbox script error | n/a | n/a
SMS 2003 Inbox: Threshold exceeded | n/a | n/a
SMS 2003 Inbox: Monitor auth\dataldr.box | 10000 | Inboxes\auth\dataldr.box
SMS 2003 Inbox: Monitor auth\ddm.box | 10000 | Inboxes\auth\ddm.box
SMS 2003 Inbox: Monitor auth\sinv.box | 10000 | Inboxes\auth\sinv.box
SMS 2003 Inbox: Monitor compsumm.box\repl | 10000 | Inboxes\ compsumm.box\repl
SMS 2003 Inbox: Monitor dataldr.box | 10000 | Inboxes\ dataldr.box
SMS 2003 Inbox: Monitor ddm.box | 10000 | Inboxes\ ddm.box
SMS 2003 Inbox: Monitor despoolr.box\receive | 10000 | Inboxes\despoolr.box\receive
SMS 2003 Inbox: Monitor offermgr.box\INCOMING | 10000 | Inboxes\offermgr.box\INCOMING
SMS 2003 Inbox: Monitor offersum.box\repl | 10000 | Inboxes\ offersum.box\repl
SMS 2003 Inbox: Monitor replmgr.box\incoming | 10000 | Inboxes\replmgr.box\incoming
SMS 2003 Inbox: Monitor schedule.box\outboxes\LAN | 10000 | Inboxes\ schedule.box\outboxes\LAN
SMS 2003 Inbox: Monitor statmgr.box\statmsgs | 10000 | Inboxes\statmgr.box\statmsgs
SMS 2003 Inbox: Monitor swmproc.box\usage | 10000 | Inboxes\swmproc.box\usage

Procedure to override the inbox monitoring event rules

Before you override an inbox monitoring event rule the Operations Manager 2007 site server must discover SMS 2003 site server objects of type Microsoft SMS 2003 Site Servers.

To override the inbox monitoring event rules

  1. In the Operations Manager 2007 Operation console, select Authoring button.

  2. Navigate Authoring / Management Pack Objects / Rules.

  3. Scope for Microsoft SMS 2003 Site Servers.

  4. Right-click an appropriate SMS 2003 Inbox monitoring event rule such as SMS 2003 Intbox: Moinitor schedule box\requests, select Overides, select Override the Rule, and then click For all objects of type: Microsoft SMS 2003 Site Servers.

  5. In Override Properties check the Enabled overide checkbox and set Override Setting to True.

  6. In Override Properties check the FileCountThreshold overide checkbox and set Override Setting to the desired threshold valule.

  7. Click OK. Click OK. The modified threshold values are distributed to the servers.

Procedure to edit performance counter threshold monitoring

To edit performance counter threshold monitoring use the following steps:

To edit performance counter threshold monitoring

  1. In the Operations Manager 2007 Operation console, select Authoring button.

  2. Navigate Authoring / Management Pack Objects / Monitors.

  3. Change scope to SMS Server.

  4. Navigate SMS Server / Entity Health / MOM 2005 Computer Role Health and then select the appropriate computer role such as SS for site server.

  5. Double-click the performance threshold monitor rule to be edited. The Performance Threshold Properties dialog box opens.

  6. Select the Configuration tab.

  7. Click Edit…. The Xml Configuration dialog box opens.

  8. In the XML text, edit the threshold value to be modified.

    • Specify the <ValueExpression> nested in <CriticalErrorExpression> to change the critical error threshold.

    • Specify the <ValueExpression> nested in <WarningExpression> to change the warning threshold.

  9. Click OK. Click OK. The modified threshold values are distributed to the servers.

See Also

Concepts

Testing and Piloting the Management Pack
Supported SMS Configuration
Management Pack Monitoring Scenarios

Other Resources

Troubleshooting the SMS 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


Performing Operations Tasks for the SMS2003 Management Pack

It is recommended that you promptly review and resolve all alerts to identify those of a significant or potentially critical nature. In addition, you should perform other tasks on a regular basis, depending on your environment. Many important problems do not cause alerts, but they still require periodic attention. The Microsoft® Systems Management Server (SMS) 2003 Management Pack has views and reports that display data over time and present patterns that indicate problems. Review the views and reports to resolve issues before they generate alerts.

You should perform the daily, weekly, and monthly tasks as specified in this section, but adjust the frequency of these tasks to meet the needs of your particular environment.

In This Section

Daily Tasks for SMS 2003

Weekly Tasks for SMS 2003

Monthly Tasks for SMS 2003

SMS 2003 Administrator Console Tasks

See Also

Concepts

Management Pack Monitoring Scenarios
Deploying the SMS 2003 Management Pack

Other Resources

Overview of System Management Server 2003 Management Pack
Performing Operations Tasks for the SMS2003 Management Pack
Troubleshooting the SMS 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


Daily Tasks for SMS 2003

It is recommended that you perform the following tasks on a daily basis:

  • Review all open alerts.

  • Review computer group membership.

  • Verify that all Operations Manager 2007 agents are communicating with the Operations Manager 2007 Server.

  • Review performance backlogs.

  • Review performance processing rates.

  • Review Operations Manager 2007 agent and server performance.

  • Review notification group membership or event processing rule notification groups.

  • Review SMS 2003 site backups.

  • Review events (optional).

Review All Open Alerts

Alerts in the SMS 2003 Management Pack are displayed in the following alert description format:

$Computer$ <Rule Name>

$Description$

Event details

Review all alerts in Operations Manager 2007 to ensure that they are addressed in a timely manner. You can use any of the following methods to review open alerts:

  • In the Operations Console, click the Monitoring button, expand Microsoft Systems Management Server (SMS) 2003 and click Alerts.

  • In the Operations Console, click the Monitoring button, expand Microsoft Systems Management Server (SMS) 2003 and click General. Select Alerts that are New in the last 72 hours.

  • Alerts can be viewed by computer or computer group by clicking Computer and Groups. To display a summary by alert severity, right-click the SMS 2003 computer group that you want to examine, select View and then click Alerts.

  • Alerts can be viewed through the State view. The State view displays a list of computers and the highest-severity alert. Double-click any computer to get a listing of its current alerts.

  • Alerts can be viewed through the Diagram view. The SMS 2003 Hierarchy Diagram view displays a graphical representation of the SMS 2003 hierarchy. Each computer has a status annotation indicating its highest severity alert. Double-click any computer to get a listing of its current alerts.

It is recommended that you review all new alerts in the following order:

  1. SMS 2003 core service alerts

  2. SMS 2003 dependent service alerts

  3. SMS 2003 site system status summarizer-based alerts

  4. SMS 2003 Management Point Health alerts

  5. SMS 2003 status message-based alerts

  6. SMS 2003 component alerts

  7. SMS 2003 backlog alerts

  8. SMS 2003 Inbox monitoring alerts

  9. SMS 2003 SMS Site Backup failed alerts

  10. SMS 2003 program failed alerts

Review Computer Group Membership

Computer group membership can be verified by using Operations Manager 2007.

  • In the Operations Console, click the Authoring button, click Groups and then right-click the appropriate SMS 2003 computer group. Verify that each of the displayed computer groups contains the correct computers.

Verify That Agents Are Communicating with the Operations Manager 2007 Server

Communication failure between the agent and the monitoring infrastructure prevents you from receiving alerts. Verify that the agent and the server running Operations Manager 2007 are communicating by running Availability reports. For more information, see the topic "How to Create an Availability Report in Operations Manager 2007" topic in the Operations Manager 2007 Help.

Review Performance Backlogs and Performance Processing Rates

The Performance Backlogs and Performance Processing Rates are extremely useful in detecting daily trends and understanding what is happening in the SMS hierarchy. Performance Backlogs and Performance Processing Rates can be viewed in Operations Manager 2007.

To review performance backlogs

To review performance backlogs, perform the following steps:

To review performance backlogs

  1. In the Operations Console, click the Monitoring button and then expand Microsoft Systems Management Server (SMS) 2003.

  2. Expand Performance, and then expand Backlogs. Next, click the appropriate component subfolder. Use the counter option to reduce the displayed data, the number of computers, or to select only those computers of interest.

To Review performance processing rates

To review performance processing rates, perform the following steps:

To review performance processing rates

  1. In the Operations Console, click the Monitoring button and then expand Microsoft Systems Management Server (SMS) 2003.

  2. Expand Performance, and then expand Backlogs. Next, click the appropriate component subfolder. Use the counter option to reduce the displayed data, the number of computers, or to select only those computers of interest.

SMS 2003 Site Backup Monitoring

You should enable the SMS Site Backup maintenance task and schedule backups as required in your enterprise environment. When the SMS Site Backup service is started, it first stops all SMS services, including SMS_EXECUTIVE, SMS_SQL_MONITOR, and SMS_SITE_COMPONENT_MANAGER. The SMS Site Backup process does not support runtime backups while:

  • Copying portions of the SMS installation folder to the backup export path.

  • Backing up the various SMS registry values.

  • Backing up the SMS site database in a server running Microsoft SQL Server™.

When backup is complete, the SMS Site Backup service restarts the SMS services. These service stops and starts are normal during the backup process and do not indicate any critical error. The alerts that are expected from these services stopping are suppressed during SMS Site Backup. You can correlate these service stops and starts, as well as SMS Site Backup stops and starts. To do so, you should enable the following rules. These rules raise informational alerts when the SMS Site Backup service starts or stops:

  • SMS 2003 service stopped running: SMS_SITE_BACKUP

  • SMS 2003 service started running: SMS_SITE_BACKUP

The following alerts are raised when the SMS Site Backup service fails to start or unexpectedly stops:

  • SMS 2003 service failure: SMS_SITE_BACKUP terminated unexpectedly

  • SMS 2003 service failure: SMS_SITE_BACKUP hung on starting

  • SMS 2003 service failure: SMS_SITE_BACKUP failed to start

  • SMS 2003 service failure: SMS_SITE_BACKUP was unable to log on

  • SMS 2003 service failure: SMS_SITE_BACKUP depends on another service which failed to start or is nonexistent

If you see an alert indicating that the service terminated unexpectedly, verify that all stopped services have been restarted. The SMS Site Backup service might have terminated before restarting those services.

The following status message alerts are generated to show the success or failure of the backup process:

  • SMS 2003 Status: Site Backup completed successfully

  • SMS 2003 Status: Site Backup failed

Backup might have failed because of access issues, low disk space, failure to start or stop certain services, or failures in SQL Server operations.

Review Events

You should review events on a regular basis because they indicate non-critical failures and provide insight into how the Operations Manager 2007 agent is functioning.

To Review Events

To review events, perform the following steps:

To review Events

  1. In the Operations Console, click the Monitoring button.

  2. Expand Microsoft Systems Management Server (SMS) 2003, and then click Events.

See Also

Concepts

Weekly Tasks for SMS 2003
Monthly Tasks for SMS 2003
SMS 2003 Administrator Console Tasks

Other Resources

Performing Operations Tasks for the SMS2003 Management Pack
Troubleshooting the SMS 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


Weekly Tasks for SMS 2003

In addition to the tasks that you perform daily, perform the following tasks on a weekly basis:

  • Review the reports. For a list of the reports included in the SMS 2003 Management Pack, see the Reports for SMS 2003 section in this guide.

  • Review the past week’s alerts, events, and performance for potential problems and trends.

  • If needed, adjust the Operations Manager 2007 configuration settings, such as the Operations Manager 2007 agent heartbeat interval, Service Monitoring status check interval, Agent Manager heartbeat scan interval, discovery intervals, and database grooming parameters.

  • Review the backup history of SMS sites.

  • Review the backup history of the Operations Manager 2007 configuration group for SMS 2003.

  • Review the SQL Server database and log.

  • Run the SMS 2003 availability reports to get the availability of SMS servers and their components.

  • Verify your SMS hierarchy by using the SMS 2003 Hierarchy Diagram.

See Also

Concepts

Daily Tasks for SMS 2003
Monthly Tasks for SMS 2003
SMS 2003 Administrator Console Tasks

Other Resources

Performing Operations Tasks for the SMS2003 Management Pack
Troubleshooting the SMS 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


Monthly Tasks for SMS 2003

In addition to the tasks that you perform daily and weekly, review data in the following categories on a monthly basis.

Most Common Alerts and Events

  • Most common alerts

  • Most common events

  • Most common alerts and events by rule group

  • Most common alerts and events by SMS 2003 component

  • Most common alerts and events by SMS 2003 feature

Develop an action plan to reduce these numbers.

SMS Backlog Monitoring

  • Look at reports relating to the backlog trends on various site systems.

SMS Backlog Trends

  • Review backlog-related reports to ensure that there is not a long-term upward trend in the number of backlogs or an unacceptable level of backlogs affecting service level agreements (SLAs) on an SMS site system.

SMS Performance Trends: Totals and Processing Rates

  • Discovery data records

  • Hardware inventory

  • Software inventory

  • Software metering

  • Status messages

General System Performance

  • Disk usage

  • Memory usage

  • Processor usage

SMS Service Availability

  • SMS_EXECUTIVE

  • SMS Agent Host Service

  • SMS Client Service

  • SMS_REPORTING_POINT

  • SMS_SERVER_LOCATOR_POINT

  • SMS_SQL_MONITOR

  • SMS_SITE_COMPONENT_MANAGER

SMS Availability

  • Run the SMS 2003 availability reports to review the availability of SMS servers and SMS components.

See Also

Concepts

Daily Tasks for SMS 2003
Weekly Tasks for SMS 2003
SMS 2003 Administrator Console Tasks

Other Resources

Performing Operations Tasks for the SMS2003 Management Pack
Troubleshooting the SMS 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


SMS 2003 Administrator Console Tasks

SMS Administrator console tasks require installation of the Microsoft Systems Management Server (SMS) 2003 SP2 or later Administrator console on the same computer as the Operations Manager 2007 Operations console. After installation of the SMS Administrator console, you must log off and log on again to Windows to enable task functionality.

Management Pack Tasks

Task | Description
SMS Administrator console | Opens the SMS Administrator console directed at the currently selected computer. This applies to computers hosting the SMS site server role.
All SMS status messages | Prompts for the computer’s site server, opens a MMC window, and executes a status message query to return all status messages associated with the currently selected computer. This applies to all systems.
SMS Service Manager | Opens the SMS Service Manager directed to the currently selected computer. This applies to computers hosting the SMS site server role.
SMS Resource Explorer | Prompts for the computer’s site server, opens a MMC window with the SMS Resource Explorer displaying the data for the currently selected computer. This applies to all systems.

See Also

Concepts

Daily Tasks for SMS 2003
Weekly Tasks for SMS 2003
Monthly Tasks for SMS 2003

Other Resources

Performing Operations Tasks for the SMS2003 Management Pack
Troubleshooting the SMS 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


Troubleshooting the SMS 2003 Management Pack

There are a number of actions that you can take to troubleshoot product issues:

  • Ensure that Operations Manager 2007 is installed properly.

  • Ensure that Operations Manager 2007 configuration settings are set properly.

  • Ensure that all Microsoft® Systems Management Server (SMS) systems have been configured with Operations Management information.

  • Ensure that all managed SMS Provider and SMS site database computers have the Operations Manager 2007 agent installed and are enabled to proxy for other computers.

  • Verify that your import of the Management Pack is complete and successful.

  • Ensure that all relevant entities are enabled, such as rules and associated alerts.

  • Ensure that the computer groups are populated with the correct computers. You can use Views to perform this inspection.

  • Ensure that there are no heartbeat failure alerts.

  • Ensure that the heartbeat interval is set properly and that the rules are propagated to the Operations Manager 2007 agent computer.

  • Ensure that dependent services, including Windows Management Instrumentation (WMI), World Wide Web Publishing Service, Internet Information Services (IIS) Admin Service, Background Intelligent Transfer Service (BITS), and MSSQLServer, are installed and running properly on SMS 2003 site systems.

  • Ensure that there are no rules being automatically disabled by Operations Manager 2007 due to excessive firing, incorrect syntax, or scripts running too long.

  • Ensure that all performance counters are properly installed.

In This Section

Known Issues for SMS2003

See Also

Concepts

Management Pack Monitoring Scenarios
Deploying the SMS 2003 Management Pack

Other Resources

Overview of System Management Server 2003 Management Pack
Performing Operations Tasks for the SMS2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


Known Issues for SMS2003

The following are known issues with the Systems Management Server 2003 Management Pack for Operations Manager 2007.

Maintenance Mode and Topology View Require SMS 2003 SP3

SMS Might Interfere with the Installation of Non-Microsoft Software That Stops the WMI Service

WMI Monitoring

SMS Tasks Run Only Under User Context That Was Used to Install the SMS 2003 Administrator Console

SMS2003 Management Pack Cannot Detect SMS Secondary Site if SMS Administrator Console Installed on the Same Computer

System Restarts

Monitor SMS Status Messages Script in SMS 2003

Monitor Site Summarizer Script in SMS 2003 Is Offset From the Default Site System Status Summarizer Interval

Status Message Rules That Monitor Sender Connectivity Have a Dependency on the Sender Functioning

BITS Monitoring Disabled by Default

Application Provider Path Is Set to C:\SMS\Logs by Default, Which Might Not be Valid on Every SMS Site Server

Maintenance Mode and Topology View Require SMS 2003 SP3

SMS 2003 SP3 is required on SMS s003 site servers to enable maintenance mode or to view site topology with Operations Manager 2007. For more information, see Supported SMS Configuration.

SMS Might Interfere with the Installation of Non-Microsoft Software That Stops the WMI Service

The SMS 2003 Management Pack might interfere with the installation of non-Microsoft software that accesses the WMI service. Most of the Management Pack’s scripts use WMI to access the registry, and can restart the WMI service. If the WMI service is enabled and can be started, Component Object Model (COM) will successfully restart WMI.

If non-Microsoft software stops, but does not disable WMI during an installation or upgrade, the automatic restart of the WMI script might impact the success of the non-Microsoft software installation. This can pose a problem for WMI or WMI provider upgrades if the installation program does not first disable the WMI service. This issue applies to any client of WMI.

WMI Monitoring

  • The following rules based on Windows NT® system event log events from Service Control Manager for unexpected service failures. There are no known operating system limitations for these rules.

  • SMS 2003 dependent service failure: Windows Management Instrumentation terminated unexpectedly.

  • SMS 2003 dependent service failure: Windows Management Instrumentation hung on starting.

  • SMS 2003 dependent service failure: Windows Management Instrumentation failed to start.

  • SMS 2003 dependent service failure: Windows Management Instrumentation was unable to log on.

  • SMS 2003 dependent service failure: Windows Management Instrumentation depends on another service which failed to start, or is nonexistent.

SMS Tasks Run Only Under User Context That Was Used to Install the SMS 2003 Administrator Console

This issue occurs because the SMS_UI_PATH environment variable was created by the SMS Administrator console installation as a user environment variable, not a system environment variable. To work around this problem, you can copy the name and value for SMS_UI_PATH and define the above variables as system environment variables, so that all operators and administrators can invoke tasks without errors.

Systems Management Server 2003 Management Pack Cannot Detect SMS Secondary Site if SMS Administrator Console Installed on the Same Computer

The installation of a Systems Management Server 2003 Administrator console on a computer that is also a SMS secondary site server causes the SMS 2003 Management Pack to fail to identify the server as a SMS Secondary Site Server.

As a workaround for this issue, when you install the SMS Administrator console on an SMS secondary site server, you need to change the registry value HKLM\SOFTWARE\Microsoft\SMS\Setup\Type from 4 to 2.

System Restarts

In the case of a system restart, you might receive only a few service stop alerts. There are no events or alerts indicating that the system was restarted. The best solution to detect an expected or unexpected system shutdown is to install the Microsoft Windows Servers Base Operating System Management Pack, which contains a rule that alerts you of a system restart. Other methods for determining whether a system restart has occurred are to check SMS logs, Operations Manager 2007 NT event log, Windows NT event logs, and Operations Manager 2007 events for agent communication.

Monitor SMS Status Messages Script in SMS 2003

When the SMS status message table exceeds 4,294,967,296 messages, the record ID restarts at zero. The Monitor SMS Status Messages script in SMS 2003 does not have a mechanism for detecting when the record ID has restarted at zero. The script currently looks forward only from the record ID of the last status message that it processed. If the record ID restarts, the Management Pack is not able to detect any new status messages.

On the site server, note the Next Status Message Record ID registry value in the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\SMS\COMPONENTS\SMS_STATUS_MANAGER registry key. This is the next record ID placed in the SQL StatusMessages table. If this value is less than the LastRecordID value, the StatusMessages table has looped back around and restarted. The script does not process messages again until the Next Status Message Record ID registry value is greater than the LastRecordID value in the VarSet file.

You should periodically monitor the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\SMS\COMPONENTS\SMS_STATUS_MANAGER registry key on the site server for the record ID of the next status message. Small organizations or small sites that are low in the SMS hierarchy should check this registry key every two to three months. Large organizations or sites with several child sites should check this registry key every month. If the value approaches 4,294,967,296, monitor it more frequently. After the record ID has reset to zero, you must unblock status message monitoring on the computer running the SMS site database server for the site. You designate the SMS site database location when you install SMS.

One way to automate registry key monitoring is to create a computer attribute and computer group to monitor the computers that are nearing this threshold.

To locate all SMS site databases in your configuration group

  1. In the Operations Console, click the Authoring button.

  2. In the results pane, right-click Microsoft Systems Management Server (SMS) 2003, and then select View Group Members.

To unblock status message monitoring

  1. On the computer hosting the SMS site database role, in the Windows Temp folder, open the following text file: SMS 2003 Monitor SMS Status Messages.VarSet. The LastRecordID_[SMSDatabaseName] entry is a record ID value that indicates the last status message in the SQL StatusMessages table that the script processed.

  2. On the computer hosting the SMS site database role, change the LastRecordID_[SMSDatabaseName] value, for the appropriate site, in the file named SMS 2003 Monitor SMS Status Messages.VarSet to be equal to the Next Status Message record ID registry value minus one. If the result is 4,294,967,296, set the value to zero and save the file.

Monitor Site Summarizer Script in SMS 2003 Is Offset From the Default Site System Status Summarizer Interval

The interval at which the Monitor Site System Summarizer script in SMS 2003 runs is offset by 10 minutes from the site system status summarizer polling interval of one hour on the hour. Although the SMS Administrator console allows for configuring the site system status summarizer schedule, it does not change this polling interval, rather only the interval for other maintenance tasks. The Monitor Site System Summarizer script in SMS 2003 is run through a timed event provider, Schedule Every 60 Minutes Synchronize at 00:10. The 10 minute offset period allows time for the site system status summarizer to complete its cycle. If this is an insufficient period of time, it should be extended, otherwise the script finishes before the site system summarizer completes its cycle. This can result in old site system status being reported.

Status Message Rules That Monitor Sender Connectivity Have a Dependency on the Sender Functioning

If the sender cannot connect to its parent site, status messages do not flow up the SMS hierarchy and the Management Pack does not generate an alert on those status messages. This is especially significant in the case of secondary sites, which do not have the SMS 2003 Monitor Status Message script running. The following status message rules that monitor sender connectivity have a dependency on the sender functioning and are disabled by default:

  • SMS 2003 Status: The sender cannot connect to remote site over the LAN (Standard Security).

  • SMS 2003 Status: The sender cannot connect to remote site over the RAS connection.

  • SMS 2003 Status: The sender cannot connect to remote site over the LAN (Advanced Security).

Note
All of these rules are disabled by default. For these rules to work, each SMS site database server, or at a minimum the central site, must be a managed computer.

A parallel monitoring method has been provided based on an application log provider, the SMS 2003 sender log. These rules are enabled by default. If you disable these rules, you should consider enabling the above companion status message rules. Do not enable both sets of rules, because duplicate alerts will be raised. There is no consolidation of these events or alert rules that addresses both the status message and the component rule being active.

  • SMS 2003 Component: The sender cannot connect to remote site over the LAN (Standard Security).

  • SMS 2003 Component: The sender cannot connect to remote site over the RAS connection.

  • SMS 2003 Component: The sender cannot connect to remote site over the LAN (Advanced Security).

For these rules to work, you need to modify them to point to the SMS log files. Also, each SMS server with a sender must be a managed computer.

BITS Monitoring Disabled by Default

Because the Background Intelligent Transfer Service (BITS) service is started upon demand by the SMS Advanced Client, the following rule is disabled by default in the SMS 2003 Management Pack:

  • SMS 2003 dependent service running: Background Intelligent Transfer Service

You should enable this rule if you have the service configured to automatically start.

The following rules are enabled by default in order to monitor issues with the BITS service and to report if the SMS Agent Host is unable to start the BITS service when required:

  • SMS 2003 service failure: Background Intelligent Transfer Service terminated unexpectedly.

  • SMS 2003 service failure: Background Intelligent Transfer Service hung on starting.

  • SMS 2003 service failure: Background Intelligent Transfer Service failed to start.

  • SMS 2003 service failure: Background Intelligent Transfer Service was unable to log on.

SMS 2003 service failure: Background Intelligent Transfer Service depends on another service which failed to start, or is nonexistent.

Application Provider Path Is Set to C:\SMS\Logs by Default, Which Might Not be Valid on Every SMS Site Server

There are four component rules that use the application log provider to monitor the SMS log files in C:\SMS\Logs:

  • SMS 2003 Component: The sender cannot connect to remote site over the LAN (Standard Security).

  • SMS 2003 Component: The sender cannot connect to remote site over the RAS connection.

  • SMS 2003 Component: The sender cannot connect to remote site over the LAN (Advanced Security).

  • SMS 2003 Component: Distribution Manager failed to process a package.

The sender rules are enabled by default where as the Distribution Manager rule is disabled by default. If you installed SMS on a drive other than drive C or modified the default folder where logs are stored, you need to modify this rule before you enable it. If this rule is not modified to search the appropriate folder for log files, the alert does not return the information that you sought.

When you modify the rule to designate the correct path, you can type a path to your log files or create an environment variable and modify the rule to use that variable. If you type a path, it must work on all site servers affected by this rule. If you have two different paths, one for primary site servers and another for secondary sites servers, use the following steps:

To modify component rules xml to use an alternative path for log files

  1. In the Operations Manager 2007 Operations Console, click the Authoring button, expand Management Pack Objects, and then click Rules.

  2. In the Details pane, right-click the rule that you want to modify and select Properties.

  3. Click the Configuration tab.

  4. In the Responses pane, select the response whose xml you wish to edit.

  5. Click the Edit… button. The GenerateAlert - Properties dialog box opens.

  6. On the Configuration tab of the GenerateAlert - Properties dialog box, click the Edit… button.

  7. Edit the directory string as appropriate. Click OK, click Apply, and then click OK to save the change.

See Also

Concepts

Supported SMS Configuration

Other Resources

Troubleshooting the SMS 2003 Management Pack
Overview of System Management Server 2003 Management Pack
Reference for Microsoft System Management Server 2003 Management Pack


Reference for Microsoft System Management Server 2003 Management Pack

These reference materials offer guidance for Operations Manager 2007 and System Management Server 2003

In This Section

Additional Resources for Microsoft System Management Server 2003 Management Pack

Sites and Components for SMS2003 Management Pack

Computer Groups for SMS 2003

Rule Group for SMS 2003

Providers for SMS 2003

Scripts for SMS 2003

Views for Microsoft SMS 2003

Diagrams for SMS 2003

Reports for SMS 2003

See Also

Concepts

Management Pack Monitoring Scenarios
Deploying the SMS 2003 Management Pack

Other Resources

Overview of System Management Server 2003 Management Pack
Performing Operations Tasks for the SMS2003 Management Pack
Troubleshooting the SMS 2003 Management Pack


Additional Resources for Microsoft System Management Server 2003 Management Pack

The following resources are available for the Microsoft System Management Server 2003 management pack.

Microsoft Operations Manager 2007

To access the Operations Manager 2007 core product documentation on the Internet and for the latest information about System Center Operations Manager 2007, see the Operations Manager 2007 product web page (http://go.microsoft.com/fwlink/?LinkID=83259).

SMS 2003

All of the information that you need for deploying and using SMS 2003 is provided in the core product documentation, the SMS Administrator console Help, the SMS glossary, and the SMS Online Library. The SMS Online Library and SMS Administrator console Help are accessible from the SMS Administrator console.

SMS 2003 Online Library

The SMS Online Library provides pointers to all the information that you need for deploying and using SMS. There are two ways to run the SMS Online Library after you install SMS 2003:

  • From the Start menu, click Programs, click Systems Management Server, and then select SMS Online Library.

  • Right-click SMS Online Library in the SMS Administrator console tree, and then click Run Online Library.

The Online Library includes the following:

  • "SMS 2003 Release Notes," which contain critical information about SMS.

  • "What’s New in this Version of SMS," which describes the differences between this version of SMS 2003 and earlier versions.

  • A link to the SMS Product Documentation Web page.

  • Links to download pages for the SMS 2003 Device Management Feature Pack and the SMS 2003 Operating System Deployment Feature Pack.

SMS on the Web

  • To locate technical papers and information about related products, see the Microsoft Systems Management Server 2003 product Web site. The SMS Web site also provides specific information about how to use SMS with other Microsoft products, such as Microsoft Windows® XP and Microsoft Office XP.

  • For links to browseable and downloadable versions of SMS 2003 core product documentation, see the Systems Management Server 2003 Product Documentation Web page.

  • Microsoft maintains many free newsgroups where you can post your questions and obtain free support from your peers and often, from members of the SMS product team. Visit the Systems Management Server Community Web page for more information about free newsgroups.

  • For technical how-to articles, FAQs, Web casts, newsgroups, and more, see the Support for Systems Management Server Web page.

  • To search the Microsoft Knowledge Base and other technical resources for fast, accurate answers to SMS questions, visit the Microsoft Help and Support Web site. You can query the Knowledge Base to find an article about a specific issue by using the "Qxxxxxx" number or the "xxxxxx" number that is assigned to the issue.

Providing Feedback

  • Help the SMS documentation team ship the kind of product information that you need most by giving us your feedback and comments. Send your feedback about our documentation to SMS Documentation.

See Also

Concepts

Computer Groups for SMS 2003
Providers for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003


Sites and Components for SMS2003 Management Pack

SMS 2003 components include the SMS central site server, SMS site database, and SMS Administrator console. Typically, the SMS central site server, SMS site database, and SMS Administrator console reside on the same server and each site system role resides on a dedicated server. A central site server and database, together with any site system roles, make up a single SMS site. A single SMS site might include multiple duplicate site system roles. For example, a single site might include multiple client access points (CAPs). SMS 2003 sites can be tiered. A single SMS site might not include some site server roles, such as a server locator point.

The SMS 2003 Management Pack is designed to monitor SMS server components. This Management Pack is not designed to monitor SMS functionality on SMS client computers. However, Operations Manager 2007 might be used to monitor other applications that reside on an SMS client computer.

For more information about SMS 2003 components, see the SMS 2003 Online Library. For links to SMS 2003 documentation, see the Additional Resources for Microsoft System Management Server 2003 Management Pack section in this guide.

Key server roles and components include:

  • Client access point

  • Distribution point

  • Management point

  • Server locator point

  • Reporting point

  • Site server

  • Site database

  • Senders

  • Advanced Client

  • Legacy Client

  • SMS Provider

  • SMS Administrator console

Client Access Point

The CAP role is the point of contact between Legacy Clients and the SMS site server. The CAP passes all Legacy Client data to the site server. Legacy Client computers contact the CAP for management information from the SMS site server. A CAP serves only one SMS site and is installed by default on the site server. The CAP also:

  • Provides specific configuration instructions and files for the Legacy Client during client installation and when changes are made after client installation.

  • Serves as the location where Legacy Client computers check for advertisements.

  • Receives data from Legacy Clients, which it forwards to the SMS site server. For example, when a client completes either hardware or software inventory and has created an inventory data file, it sends this data to the CAP. Any status messages originating from the client are replicated to the CAP.

Distribution Point

The distribution point stores SMS package source files that SMS clients use when installing software programs distributed by SMS. When the SMS administrator advertises a program, the advertisement and program information are available to clients through a CAP for Legacy Clients or through a management point for Advanced Clients.

When SMS is set up, the site server is automatically assigned the distribution point role. The SMS administrator can enable the distribution point to use Background Intelligent Transfer Service (BITS), which enables incremental package file download to Advanced Clients.

Advanced Clients use BITS to automatically detect the client network connection capacity and adjust transfer rates efficiently. This is supported only on clients running Microsoft Windows 2000, Microsoft Windows XP Professional, and Microsoft Windows Server™ 2003 operating systems.

Management Point

The management point is the primary point of contact between Advanced Clients and the SMS site server. An SMS site has only one default management point, although multiple management points can be configured with Windows Network Load Balancing Service. Similar to the relationship between CAPs and Legacy Clients, a management point:

  • Provides specific client configuration details (also known as the Advanced Client policy) for the Advanced Client after client installation.

  • Serves as the location where Advanced Client computers check for advertisements.

  • Locates distribution points for Advanced Clients.

  • Receives inventory, software metering, and status information from Advanced Clients and forwards it to the SMS site server.

Server Locator Point

The server locator point locates CAPs for Legacy Clients and management points for Advanced Clients. The server locator point is mostly used in client installation. The server locator point:

  • Locates a management point for the Advanced Client if the Advanced Client is configured for automatic SMS site assignment.

  • Provides Advanced Clients with the location of the management point during Logon Script-initiated Client Installation and during an installation without sufficient credentials.

  • Provides SMS site assignment for the Legacy Client and locates CAPs during Logon Script-initiated Client Installation.

Reporting Point

A reporting point is a server running Internet Information Services (IIS) that hosts the code for Report Viewer and any supplemental reports. A reporting point communicates only with its SMS site database server.

Advanced Client

SMS 2003 addresses the need for mobile computing with the Advanced Client. The Advanced Client supports the full SMS feature set, including software distribution, asset management, and remote troubleshooting. You can manage mobile users and desktop users without differentiating between them. The Advanced Client uses a Windows technology called BITS to provide connectivity for all management operations.

Legacy Client

You can use the Legacy Client if your organization needs to manage computers that do not meet the requirements for supporting the Advanced Client. You can enable, configure, and control the following Legacy Client installation methods:

  • Logon Script-initiated Client Installation

  • Client Push Installation

  • Manual Client Installation

SMS Provider

The SMS Provider processes requests for data from the SMS site database. The SMS Provider role is installed on the same computer as the SMS site server or the SMS site database. It is recommended that you install both the SMS Provider and the SMS site database on the site server. The SMS Provider provides access to data for the SMS Administrator console installed on the site.

SMS Administrator Console

The SMS Administrator console is the graphical user interface used to administer SMS. This interface uses a Microsoft Management Console (MMC) snap-in that is provided with the SMS product software. The SMS Administrator console is installed by default when you install a primary site server. It can also be installed on other servers or workstations.

See Also

Concepts

Additional Resources for Microsoft System Management Server 2003 Management Pack
Computer Groups for SMS 2003
Providers for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003


Computer Groups for SMS 2003

The SMS 2003 Management Pack provides the following computer groups:

  • Microsoft SMS 2003 Administrator Consoles

  • Microsoft SMS 2003 Advanced Clients

  • Microsoft SMS 2003 Central Site Servers

  • Microsoft SMS 2003 Clients

  • Microsoft SMS 2003 Client Access Point Servers

  • Microsoft SMS 2003 Component Servers Based on IIS

  • Microsoft SMS 2003 Component Servers Based on SMS Executive

  • Microsoft SMS 2003 Distribution Point Servers

  • Microsoft SMS 2003 Management Point Servers

  • Microsoft SMS 2003 Primary Site Servers

  • Microsoft SMS 2003 Providers

  • Microsoft SMS 2003 Reporting Point Servers

  • Microsoft SMS 2003 Secondary Site Servers

  • Microsoft SMS 2003 Sender Servers

  • Microsoft SMS 2003 Server Locator Point Servers

  • Microsoft SMS 2003 Servers

  • Microsoft SMS 2003 Site Servers

  • Microsoft SMS 2003 Legacy Clients

See Also

Concepts

Additional Resources for Microsoft System Management Server 2003 Management Pack
Computer Groups for SMS 2003
Providers for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003


Rule Group for SMS 2003

This section lists the rule groups and event rules within the Systems Management Server (SMS) 2003 Management Pack that generate critical events and alerts. See the Authoring in the Operations Manager 2007 Operations console to review all the rules under the rule group.

SMS Clients - Advanced

The SMS Clients - Advanced rule group contains rules for errors related to the SMS advanced clients.

  • SMS 2003 service running: SMS Agent Host

  • SMS 2003 dependent service running: Background Intelligent Transfer Service

  • SMS 2003 dependent service running: Windows Management Instrumentation

SMS Client Access Points

The SMS Clients Access Points rule group contains rules for errors related to the SMS client access points.

  • SMS 2003 service running: SMS_EXECUTIVE

SMS Management Points

The SMS Management Point rule group contains rules for errors related to the SMS management points.

  • SMS 2003 service running: SMS Agent Host

  • SMS 2003 service running: SMS_EXECUTIVE

  • SMS 2003 dependent service running: World Wide Web Publishing Service

  • SMS 2003 dependent service running: IIS Admin Service

  • SMS 2003 Management Point Health: State

  • SMS 2003 Perf Threshold: MP DDR Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: MP HINV Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: MP SINV Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: MP FileCollection Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: MP Relay Mgr Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: MP Status Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: Process - % Processor time (ccmexec) > 95 over 3 hours

SMS Providers

The SMS Providers rule group contains rules for errors related to the SMS Providers component of SMS 2003.

  • SMS 2003 dependent service running: Windows Management Instrumentation

SMS Reporting Points

The SMS Reporting Point rule group contains rules for errors related to the SMS reporting points.

  • SMS 2003 service running: SMS_REPORTING_POINT

  • SMS 2003 dependent service running: World Wide Web Publishing Service

  • SMS 2003 dependent service running: IIS Admin Service

SMS Sender Servers

The SMS Sender Servers rule group contains rules for errors related to the SMS Sender Servers.

  • SMS 2003 service running: SMS_EXECUTIVE

SMS Server Locator Points

The SMS Server Locator Point rule group contains rules for errors related to the SMS server locator points.

  • SMS 2003 dependent service running: World Wide Web Publishing Service

  • SMS 2003 dependent service running: IIS Admin Service

  • SMS 2003 service running: SMS_SERVER_LOCATOR_POINT

SMS Server - Common

The SMS Server - Common rule group contains rules for errors related to all SMS servers.

  • SMS 2003 Perf Threshold: Paging File - %Usage > 98 over 3 hours

  • SMS 2003 Perf Threshold: Processor - % Processor time (_Total) > 95 over 3 hours

SMS Servers Based on SMS Executive

SMS Servers Based on the SMS Executive rule group contains rules for errors generated on any site server that runs the SMS Executive service.

  • SMS 2003 Perf Threshold: Process - % Processor time (smsexec) > 95 over 3 hours

SMS Site Database Servers

The SMS Site Database Servers rule group contains rules for errors related to the SMS site database server.

  • SMS 2003 service running: SMS_SQL_MONITOR

  • SMS 2003 dependent service running: MSSQLSERVER

  • SMS 2003 Perf Threshold: SMS SQL Connections > 500 over 2 hours

SMS Site Servers - Common

The SMS Site Servers - Common rule group contains rules for errors related to all SMS site servers.

  • SMS 2003 service running: SMS_SITE_COMPONENT_MANAGER

  • SMS 2003 service running: SMS_EXECUTIVE

  • SMS 2003 Perf Threshold: Site Server Scheduler Jobs Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: Site Server Scheduler Send Requests Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: Site Server SWM Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: Site Server SINV Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: Site Server HINV Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: Site Server DDR Backlog > 10,000 over 3 hours

SMS Site Database Servers - Primary

The SMS Site Servers - Primary rule group contains rules for errors related to all SMS primary site servers.

  • SMS 2003 Perf Threshold: Site Server SINV Backlog > 10,000 over 3 hours

  • SMS 2003 Perf Threshold: Site Server HINV Backlog > 10,000 over 3 hours

See Also

Concepts

Additional Resources for Microsoft System Management Server 2003 Management Pack
Computer Groups for SMS 2003
Providers for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003


Providers for SMS 2003

The data provider types used by the SMS 2003 Management Pack are as follows:

  • Application log

  • Timed event

  • Windows NT Performance Counter

See Also

Concepts

Additional Resources for Microsoft System Management Server 2003 Management Pack
Computer Groups for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003


Scripts for SMS 2003

The SMS 2003 Management Pack contains Operations Manager 2007 scripts that run automatically on the agent and scripts that need to be run by an administrator. Additional information about some of these scripts follows in this section.

The following scripts are run by the Operations Manager 2007 agent automatically:

  • SMS 2003 Monitor SMS Status Messages

  • SMS 2003 Monitor Site System Summarizer

  • SMS 2003 Service Discovery – Client

  • SMS 2003 Service Discovery – Server

  • SMS 2003 Site Backup Event Suppression

  • SMS 2003 Monitor Management Point Health

  • SMS 2003: Monitor Management Point Availability

  • SMS 2003 Site Hierarchy Discovery

  • SMS 2003 Monitor SMS Inbox

  • SMS 2003 Monitor SMS Executive Crash Dumps

SMS 2003 Monitor SMS Status Messages

Many problems in SMS are detected and reported internally through the SMS Status System. Status messages are raised by SMS components pertaining to conditions of interest to an SMS administrator.

The status messages flow into the database for an SMS site and also up the site hierarchy into the parent site’s database. It is possible to monitor the SMS status system on a per-site basis, simply by querying the SMS status message table of a specified site’s database.

A set of status messages have been chosen for monitoring that reflect the most critical events to SMS administrators. When one of these messages is found in the database, an alert is generated.

This script does the following:

  • Checks if it is running under agentless-managed mode. If so, the script will exit without taking any further action.

  • Initializes global variables.

  • Opens and reads the RecordID of the last status message processed for each SMS site database being monitored from the SMS 2003 Monitor SMS Status Messages.VarSet file.

  • Processes status messages found in each SMS Site Database on the local computer.

  • Writes the RecordID of the last status message processed, for each SMS Site Database being monitored, to the SMS 2003 Monitor SMS Status Messages.VarSet file and closes the file.

The SMS 2003 Monitor SMS Status Messages script raises events with an Event ID set to the SMS Status Message ID being reported on. Table S.1 describes the format of the raised event.

Table S.1 Format of Events Raised by SMS 2003 Monitor SMS Status Messages Script

Parameter | Description
EventType | Success, Error, Warning, or Information, depending on the SMS status message severity
EventNumber | SMS Status Message ID
Category | SMS site code
LoggingDomain | Resource domain of computer
LoggingComputer | NetBIOS name of computer
Parameter1 | NetBIOS name of computer
Parameter2 | SMS module name—for example, SMS Server
Parameter3 | SMS component name
Parameter4 | SMS Message ID
Parameter5 | Win32 error code
Parameter6 | Parent or top-level site code
Parameter7 | RecordID of status message in the SMS Status Message Table
Description | "A new monitored SMS status message on machine <NetBIOS Name> from component <Component Name> with message ID <Message ID> was found in the site <Site Code> database.”

The SMS 2003 Monitor SMS Status Messages script also reports script errors through Status Message ID number 1102:

EventType= Warning

EventNumber= 1102

Description = The script SMS 2003 Monitor SMS Status Messages running under processing rule <ScriptProcessingRuleName> encountered a runtime error. The error message will contain the text “Failed to <ErrorDescription>.”

All SMS 2003 status message monitoring event rules begin with the phrase “SMS 2003 Status:” and are located in the SMS Site Database Servers rule group.

  • SMS 2003 Status: Message Monitoring

SMS 2003 Status: Message Monitoring launches the script using the SMS 2003 Schedule every 30 minutes synchronize at 00:02 timed event provider. Summary information is provided on the Knowledge property page of the rule.

  • SMS 2003 Status: Script error

SMS 2003 Status: Script error monitors for and alerts on any script error events that might be raised. There is only one script error event, number 1102, which reports all script errors. Information about resolution of the alert is provided on the Knowledge property page of the rule.

  • SMS 2003 Status: <status message name>

SMS 2003 Status: <status message name> monitors for and alerts on specific status message events. Information about resolution of the alert is provided on the Knowledge property page of the rule.

All alerts have a description of the event in the following format, where $Description$ is the event description:

$Logging Computer$ - "Rule Name". $Description$

The SMS 2003 Monitor SMS Status Messages VarSet file is used to persist the RecordID of the last status message processed, on a per-site-database basis. The VarSet file is located in the Windows\Temp directory. It is a tab-delimited file with the following format:

Copy Code
LastRecordID_DBNameRecordID#

For example, LastRecordID_SMS_FLA, with a RecordID of 477860 would indicate that the last RecordID processed from the site database named SMS_FLA was number 477860.

When upgrading the management pack from a previous version, the following will be found in the SMS 2003 Monitor SMS Status Messages VarSet file:

Copy Code
LastRecordID476743
LastRecordID_SMS_FLA477860

The first line, which does not contain a database name, indicates the original version of status message monitoring that did not support multiple database monitoring. The second line, which does contain a database name, SMS_FLA, indicates that the current version of status message monitoring does support multiple database monitoring.

No action will be taken to utilize the first line of data, because in the multiple site database case it is difficult to determine to which database it would correspond. The first line of data is not removed from the VarSet file, because it can be of value in evaluating the new changes and insuring that status message monitoring begins with the correct RecordID after the upgrade.

SMS 2003 Monitor Site System Summarizer

Site System Summarizer

The Site System Status Summarizer is a component thread of the SMS Executive service that maintains status on all defined SMS site systems. By default, it polls once every hour, on the hour, for current status. This polling interval is defined in the SMS Site Control File. It is recommended that the polling interval not be changed. Status is maintained in a table in the SMS site database.

Site System DownSince Status

The Site System Status Summarizer assumes that a site system is down when it cannot contact the site system during one of its polling intervals. This can be due to one of the following factors:

  • The site system is not turned on, not connected to the network, or not functioning properly.

  • The SMS Site System Status Summarizer does not have a connection because no connections are available.

  • The SMS Site System Status Summarizer does not have sufficient access rights to connect to the site system.

  • Network problems are preventing the SMS Site System Status Summarizer from connecting to the site system.

  • The site system has been permanently taken out of service.

Site System Status Summarizer-Based Availability

Site System Status Summarizer status is used for availability reporting by the SMS 2003 Server Availability Script and SMS 2003 Server Availability Report. SMS Server availability measurements utilize the DownSince registry value for determining whether or not a server is available.

Limitations of Site System Status Summarizer-Based Availability

This section explains the limitations of using Site System Summarizer status for availability reporting by the SMS 2003 Server Availability Script and SMS 2003 Server Availability Report. SMS Server availability measurements utilize "DownSince" status for determining whether or not a server is available.

Site System Status Summarizer–based availability monitoring has the following limitations:

  • The Site System Summarizer polling interval is one hour. This interval allows sufficient time for the Site System Status Summarizer to poll all the site systems. For performance reasons, the interval cannot be changed. The summarizer’s time-out interval is controlled by the Startup Schedule property in the Site Control File, not by the Wakeup Interval property. This means that changing the Wakeup Interval property from its default value of 60 has no effect. In addition, changing the Startup Schedule has no effect. By default, it is set for every 15 minutes, and the Site System Status Summarizer polls site systems once per hour, on the hour, regardless of how the Startup Schedule is set.

  • The availability methodology considers a site unavailable only if two successive SMS 2003 Site System Summarizer: Site System is possibly down events occur over a period of two hours. This is designed to account for temporary network outages. This means your availability is assessed a two-hour service outage, even if the site has been unavailable for a small amount of time.

  • SMS can be unavailable in many ways that the Site System Status Summarizer does not monitor. For example, the Site System Status Summarizer does not consider SMS unavailable if SMS services are not running or the SMS site database is unavailable, as when the SQL Server service is stopped.

  • Availability data is impacted for computers hosting multiple SMS server roles. Downtime is calculated based on alerts generated for a site system being down. A single alert has a two-hour downtime weighting. The Site System Status Summarizer writes the current "DownSince" status for each site object and site system role hosted on a computer to the database, in the Site System Status Summarizer table.

The Site System Status Summarizer monitoring script examines each site system role in the Site System Status Summarizer table. If a site system is marked as down, it raises an event. An alert is subsequently generated based on that event. Multiple roles can generate multiple alerts, which will create extended downtime durations. This can be reflected as negative availability percentages, depending upon the interval of interest.

Each SMS server role, except for an SMS distribution point, establishes two SMS server roles by default, one for the specific role and the other for the SMS component server. For example, in the case of a site system hosting both a server locator point and a reporting point, if the server was offline for more than two hours (two Site System Status Summarizer polling intervals), the Site System Status Summarizer would mark both of these roles, and their SMS component server roles, as down.

However, only three alerts, one for each server role and one for the physical component server hosting two server roles, would be raised per polling interval for the two-hour period. This would produce a negative availability result because six hours would be marked as unavailable for the two-hour time period.

  • The 60-minute schedule, offset from the hour by 10 minutes, has been set as default so that the SMS 2003 Monitor Site System Summarizer script runs 10 minutes after the beginning of the Site System Status Summarizer polling interval of 1 hour. If the summarizer is taking longer than 10 minutes to complete its cycle, the timed event provider offset should be increased appropriately. Otherwise, the most current site system status messages will be missed.

SMS 2003: Monitor Management Point Availability

The SMS 2003 Monitor Management Point Availability script supports the Management Point Availability Report. Availability is based on the health state of a management point and leverages the following health state value found in the registry:

DWORD value HKEY_LOCAL_MACHINE\Microsoft\SMS\MP\MPHealthState

Based on a configurable schedule and reporting interval, the script reads and then reports, through a Operations Manager 2007 event, the duration that the state is unhealthy (registry value is 1, not 0).

These availability data events are written to the OperationsManager database and to the OperationsManagerDW database. A Operations Manager 2007 report can then be run that displays the total time that the Management Point was down during a specified interval along with an availability percentage.

The MPHealthState registry value is maintained by the MP Control Manager. It is updated every six minutes.

This script performs the following actions:

  • Checks whether it is running under agentless managed mode. If so, the script exits without taking further action. The script uses a local VarSet file for persisting variables, so the Operations Manager 2007 agent must be installed.

  • Initializes global variables.

  • Obtains the input parameters ScheduledInterval and ReportingInterval, in minutes.

  • Verifies that the input parameters are not empty, 0, or negative. If they are, a script error event is raised, indicating that a non-valid value was specified. The script also verifies that the ReportingInterval value is not less than the ScheduledInterval value. If it is, a script error event is raised indicating that ReportingInterval cannot be less than ScheduledInterval. Both values implement a Lng type and have a maximum value of 2147483647 (2G -1).

  • Opens and copies the contents of the SMS 2003 Monitor Management Point Availability.VarSet file into a local collection. If the file does not exist, no script error event is raised. If the file does exist but can’t be opened, a script error event is raised.

  • Checks the availability of the Management Point.

    • If the current SMS version is less than 2.50.3067.0000, the script exits with no error raised because the MPHealthState registry value is not present. The Agent Response log file, AgentResponses-Configuration Group Name.log, will contain the statement "Monitoring Management Point health is not supported on this SMS build." Logging is enabled by setting the EnableActiveDebugging DWORD value, under the HKEY_LOCAL_MACHINE\SOFTWARE\Mission Critical Software\OperationsManager key, to 1.

    • Obtains the current Management Point Health State from registry DWORD value HKEY_LOCAL_MACHINE\Microsoft\SMS\MP\MPHealthState. If the value cannot be obtained, the script exits with no error raised because the MP Control Manager has not yet created it.

    • Obtains the Start Date and Time from the VarSet collection. If this is the first time the script has run and it is the start of a new reporting period, there is no entry. The script initializes the duration and the start date, in the VarSet collection, before exiting with no error raised. It sets the duration to 0 and the start date to the current date and time.

    • For the current reporting interval, if the MPHealthState registry value is 1, the script increments the unavailable duration in the VarSet collection, based on the specified schedule interval.

    • Reports, by creating an availability data event, if the reporting interval has elapsed and the management point has been unavailable. The script resets the duration to 0 and resets the start date in the VarSet collection to the current local time for the next reporting period.

    • If an error occurs while checking the availability of the Management Point, a script error is raised.

Event Number = 1102

Event Type = Warning

Message = "The script ‘SMS 2003 Monitor Management Availability' running under processing rule <ProcessingRuleName> encountered a runtime error." CrLf "Failed to check Management Point availability.” <ErrorString>

  • Writes the contents of the VarSet collection to the local SMS 2003 Monitor Management Point Availability.VarSet file and closes the file. If the file does not exist, it is created. If no VarSet variables were set, no entries for them appear in the file. If an error occurs writing the file, the script raises a script error.

SMS 2003: Monitor SMS Inbox

SMS does most of its key server-side activities by reading from and writing to files in its inboxes. When SMS inboxes get unusually full, it’s a strong indication that SMS processing is falling behind. This could be for a variety of reasons, including but not limited to bad files, stopped processes, lack of disk space, or unusual software distribution activity level. Such problems are fairly rare, but serious for customers with a substantial number of sites.

A number of the performance counters for SMS inboxes measure the number of items queued by the service component and not the actual number of items waiting to be processed on disk. The SMS service component will update the performance counter after working through its current queue. This might cause the performance counters to update very infrequently, preventing timely detection of serious backlogs. The new SMS 2003: Monitor SMS Inbox script adds direct monitoring by counting files in critical SMS server inboxes and alerts the administrator through Operations Manager 2007 when the number of files in a particular inbox exceeds a user configurable threshold value.

All rules are located in the SMS Site Servers – Common processing rule group, which targets these rules at central, primary, and secondary sites. The threshold passed to the script can be configured by means of an override.

Due to performance considerations, these rules are not targeted at management points or any other SMS site system roles.

Schedule and Optional Configuration

To minimize the performance impact of inbox monitoring, the pertinent rules will be synchronized to run once per day. The rules are staggered at 15 minute intervals, beginning at 01:00 AM, so that only one rule runs at a time. For example, the first rule counts the files present in the first inbox at 01:00 AM. The next rule counts the files present in the second inbox at 01:15 AM, and so forth, until all inboxes have been counted.

You can modify this schedule following the usual steps you take in scheduling rule script execution in Operations Manager 2007. No initial configuration is required to activate this feature. Following are optional configuration changes you can perform:

  • Change the default threshold value for each inbox.

  • Change the schedule for individual inbox rules.

These optional configuration changes can be made by following the usual steps to configure threshold event rules in any management pack.

Threshold Alerts and Values

One alert is generated whenever the configured threshold value for a specific inbox rule is reached each time the monitoring rule is processed. A script error alert is generated whenever the script encounters a non-valid threshold value or an error attempting to monitor the count of files in each inbox.

To edit the performance threshold values

  1. In the Operations Manager 2007 Administrator console, click Authoring.

  2. In the Authoring pane, navigate Authoring / Management Pack Objects / Monitors.

  3. In the Monitors pane, change the scope to SMS server.

  4. Navigate SMS Server / Entity Health / MOM 2005 Computer Role Health, and then expand the server role to be edited.

    • DB - Database server

    • MP - Management point server

    • SS - Site server

  5. Double-click the performance threshold monitor rule to be edited. The Performance Threshold Properties dialog box opens.

  6. Select the Configuration tab.

  7. Click Edit…. The Xml Configuration dialog box opens.

  8. In the XML text, edit the threshold value to be modified.

    • Specify the <ValueExpression> nested in <CriticalErrorExpression> to change the critical error threshold.

    • Specify the <ValueExpression> nested in <WarningExpression> to change the warning threshold.

  9. Click OK. Click OK. The modified threshold values are distributed to the servers.

The default threshold value for each inbox monitoring rule is set to 10,000. You should set threshold values for the FileCountThreshold parameter of the SMS 2003: Monitor SMS Inbox script as appropriate in your specific environment. Valid threshold values can be from 1 to 2147483647 (0x7FFFFFFF), inclusive. Invalid threshold values are zero (0) or numbers greater than 2147483647, as these will produce negative numbers in the 32-bit range.

For a description of inbox folders and how they are used in Systems Management Server, see the relevant topic at Microsoft Help and Support.

SMS 2003 Monitor SMS Executive Crash Dumps Script

This script is located in the Scripts folder of the SMS Administrator console and is named SMS 2003 Monitor SMS Executive Crash Dumps. The following actions are taken by this script:

  • Determines whether the target computer is running in agentless mode. If so, the script exits without further action. This script uses a local VarSet file for persisting variables, so the Operations Manager 2007 agent must be installed on all target computers.

  • Opens and reads the contents of the local SMS 2003 Monitor SMS Executive Crash Dumps.VarSet file into a collection. If the file does not exist, no script error event is raised. If the file does exist but can’t be opened, a script error event is raised, with a message containing the following text:

Failed to load script variables.

  • Checks whether a new crash dump has occurred since the last time a check was performed. If so, the script raises an event to report the new crash dump. To raise the script error event, the script does the following:

    • Obtains the SMS Installation Directory from the registry under the SMS Identification key, registry value "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\SMS\Identification\ Installation Directory". If the path cannot be obtained, the script raises a script error event message with the following text and exits:

Failed to read registry value.

  • Constructs the full path for the CrashDumps directory by appending "\Logs\CrashDumps" to the retrieved SMS Installation Directory.

  • Checks whether the CrashDumps directory exists. If it doesn’t, the script logs that the folder’s existence could not be verified and exits without further action. The Agent Response log file, AgentResponses-Configuration Group Name.log, will contain the statement:

Failed to verify existence of crash dump directory: <CrashDumpsPath>.

Logging is enabled by setting the EnableActiveDebugging DWORD value under the HKEY_LOCAL_MACHINE\SOFTWARE\Mission Critical Software\OperationsManager key to a value of 1.

  • Obtains the last crash dump folder creation date from the VarSet collection.

  • Checks whether new crash dumps were created and acts only on the most recent one. To determine which is most recent, the saved folder creation date of the last crash dump is used, if available. Date and time comparison is based on folder creation to a resolution of one second.

  • If a new crash dump occurred or if it is the first time that the script has run, the script logs and creates event 1710, specifying the new crash dump folder and path. The script saves the folder creation date of the crash dump in the VarSet collection. If a crash dump did not occur, that is logged.

  • Writes the contents of the VarSet collection to the local SMS 2003 Monitor SMS Executive Crash Dumps.VarSet file and closes the file. If the file does not exist, it is created. If no VarSet variables were set, no entries for them appear in the file. If an error occurs writing the file, a script error event message with the following text is raised: Failed to save script variables.

SMS 2003 Monitoring SMS Executive Crash Dump Event

The SMS 2003 Monitor SMS Executive Crash Dumps script reports through event 1710 that a crash has occurred, as described below:

EventType = Error

EventNumber = 1710

Category = SMS Site Code

Description = SMS Executive in site “XXX” has crashed. For details, see crash dump information under <Drive> \SMS\Logs\CrashDumps\NewFolder.

SMS 2003 Monitoring SMS Executive Crash Dumps Script Error Event

The “SMS 2003 Monitor SMS Executive Crash Dumps” script reports runtime script errors through event 1102.

EventType = Warning

EventNumber = 1102

Description = The script “SMS 2003 Monitor SMS Executive Crash Dumps” running under processing rule SMS 2003 Crash Dumps: Monitoring SMS Executive encountered a runtime error. CrLf “Failed to <Message>." ErrorString

SMS 2003 Server Availability Script

SMS is a critical enterprise application for desktop configuration management. Customers need to track its service availability. The Management Pack provides a sample Microsoft SQL Server™ script for computing SMS site system availability based on alerts that are raised in response to a down status from the SMS Site System Status Summarizer. Availability can be determined over any number of specified days. This metric can be used in support of established service level agreements (SLAs).

Limitations of the SMS 2003 Server Availability Script

The SMS 2003 Server Availability Script has the following limitations.

The displayed data is limited to the Operations Manager 2007 database grooming interval. By default, the script returns data for the last seven days, and for the last 30 days. However, the OperationsManager database has a grooming interval of 4 days, so executing the script with seven- and 30-day intervals returns the same results. If reports reflecting longer time periods are required it will be necessary to increase the grooming interval or use the SMS 2003 Server Availability Report which executes against the OperationsManagerDW database which is the long-term storage for operational data. For smaller periods of time the 7 and 30 day intervals in the script need to be changed.

Script Algorithm

Once every hour, the site system summarizer attempts to contact each site system. If it is unable to contact a site system, it lists that computer as down in the Site System Status Summarizer table. To reduce the number of false reports for this condition, the Management Pack consolidates events and raises an alert only if there are two events in a two-hour period. When you run the stored procedure, it calculates the number of “Site System is possibly down” alerts that are raised during the specified number of days, subtracts the downtime from the total time available, and returns a percentage of availability for that period. If a computer has not logged any “Site System is possibly down” alerts during the specified interval, its calculated availability is 100%.

You do not need to run the script more frequently than every seven days, unless you want to see a daily trend.

By default, the script returns data for the last seven days and for the last 30 days. By specifying a longer data interval, a more accurate estimate of the server uptime is provided. Do not set the intervals to a time period longer than the Operations Manager 2007 database grooming cycle.

The following examples show how the server availability goes up as the data is averaged over a longer time period:

  • If there are two events generated for a computer within two hours, one alert is generated. If one alert is generated within the last seven days, the calculations are as follows:

    • Total number of hours in seven days = 7 * 24 = 168

    • Total number of hours down = 1 * 2 = 2

    • Total number of hours up = (168 - 2) = 166

    • Percentage availability = (166 / 168) * 100 = 98.809%

  • If one alert is generated within the last 30 days, the calculations are as follows:

    • Total number of hours in 30 days = 30 * 24 = 720

    • Total number of hours down = 1 * 2 = 2

    • Total number of hours up = (720 - 2) = 718

    • Percentage availability = (718 / 720) * 100 = 99.72%

  • If one alert is generated within the last 84 days, the calculations are as follows:

    • Total number of hours in 84 days = 84 * 24 = 2016

    • Total number of hours down = 1 * 2 = 2

    • Total number of hours up = (2016 - 2) = 2014

    • Percentage availability = (2014 / 2016) * 100 = 99.9%

The following examples show how the server availability changes as more alerts are logged over the same time period:

  • If two alerts are generated within the last 30 days, the calculations are as follows:

    • Total number of hours in 30 days = 30 * 24 = 720

    • Total number of hours down = 2 * 2 = 4

    • Total number of hours up = (720 - 4) = 716

    • Percentage availability = (716 / 720) * 100 = 99.44%

  • If three alerts are generated within the last 30 days, the calculations are as follows:

    • Total number of hours in 30 days = 30 * 24 = 720

    • Total number of hours down = 3 * 2 = 6

    • Total number of hours up = (720 - 6) = 714

    • Percentage availability = (714 / 720) * 100 = 99.16%

The polling interval of the Site System Status Summarizer is fixed at one hour and cannot be changed through the SMS Administrator console. Modifying this interval does not improve the accuracy of this script. Changing the event consolidation interval is possible, but not recommended because it does not improve the accuracy of the result. In fact, reducing the consolidation interval makes the results less reliable because the two-hour consolidation interval reduces false results due to a momentary network outage.

See Also

Concepts

Additional Resources for Microsoft System Management Server 2003 Management Pack
Computer Groups for SMS 2003
Providers for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003


Views for Microsoft SMS 2003

The SMS 2003 Management Pack provides the following common views:

  • Alerts

  • Events

  • SMS 2003 Site Hierarchy Diagram

  • State View

  • Task Status View

  • General

  • Performance

The following views, customized for SMS 2003, are also provided:

SMS 2003 Site Hierarchy Diagram

  • SMS 2003 Hierarchy

General

  • Alerts from the SMS Central Site Server in the last 72 hours

  • Alerts that are New in the last 72 hours

Performance Views

It is possible to configure Views to display data for particular computers on a per-view basis. To do this, it is recommended that you copy the view that you want to customize to My Workspace, rename the view, and begin customizing the view to your requirements. The complexity of the graph can be reduced by individually selecting the counter for the computers of interest.

Backlogs\Management Point Servers

  • DDR Backlog in the last 48 hours

  • FileCollection Backlog in the last 48 hours

  • HINV Backlog in the last 48 hours

  • Relay Backlog in the last 48 hours

  • SINV Backlog in the last 48 hours

  • Status Backlog in the last 48 hours

Backlogs\Site Servers

  • DDR Backlog in the last 48 hours

  • HINV Backlog in the last 48 hours

  • Scheduler Jobs Backlog in the last 48 hours

  • Scheduler Send Requests Backlog in the last 48 hours

  • SINV Backlog in the last 48 hours

  • SWM Backlog in the last 48 hours

General\Management Point Servers

  • LogicalDisk in the last 48 hours

  • Memory in the last 48 hours

  • Processor in the last 48 hours

General\Site Servers

  • LogicalDisk in the last 48 hours

  • Memory in the last 48 hours

  • Processor in the last 48 hours

Note
The performance provider for the LogicalDisk in the last 48 hours view is installed with the Microsoft Windows Servers Base Operating System Management Pack.

Processing Rates

  • *All Message Processing Rates on an SMS 2003 Management Point Server in the last 24 hours

  • *All Report Processing Rates on an SMS 2003 Management Point Server in the last 24 hours

  • *All Report Processing Rates on an SMS 2003 Site Server in the last 24 hours

Processing Rates\Management Point Servers

  • DDRs/sec. in the last 24 hours

  • DM Database Connection Attempts/sec. in the last 24 hours

  • DM DDRs/sec. in the last 24 hours

  • DM Discovery Translation Requests/sec. in the last 24 hours

  • DM DP Locations/sec. in the last 24 hours

  • DM Hardware Inventory Translation Requests/sec. in the last 24 hours

  • DM HINVs/sec. in the last 24 hours

  • DM ISAPI Requests/sec. in the last 24 hours

  • DM Machine Setting Requests/sec. in the last 24 hours

  • DM Package Version Requests/sec. in the last 24 hours

  • DM SINVs/sec. in the last 24 hours

  • DM Software Policy Body Requests/sec. in the last 24 hours

  • DM Software Policy ID Requests/sec. in the last 24 hours

  • DM Status/sec. in the last 24 hours

  • DM Total Setting Requests/sec. in the last 24 hours

  • DP Locations/sec. in the last 24 hours

  • GetAuth Requests/sec. in the last 24 hours

  • GetPolicy Requests/sec. in the last 24 hours

  • HINVs/sec. in the last 24 hours

  • ISAPI Requests/sec. in the last 24 hours

  • MP Locations/sec. in the last 24 hours

  • PA Requests/sec. in the last 24 hours

  • Relay Reports/sec. in the last 24 hours

  • SINVs/sec. in the last 24 hours

  • SPs Executed/sec. in the last 24 hours

  • Status/sec. in the last 24 hours

  • Total DDRs in the last 24 hours

  • Total DM DDRs in the last 24 hours

  • Total DM HINVs in the last 24 hours

  • Total DM ISAPI Requests Dispatched in the last 24 hours

  • Total DM ISAPI Requests Received in the last 24 hours

  • Total DM SINVs in the last 24 hours

  • Total DM Status in the last 24 hours

  • Total HINVs in the last 24 hours

  • Total Relay Reports in the last 24 hours

  • Total SINVs in the last 24 hours

  • Total Status in the last 24 hours

Processing Rates\Site Database Servers

  • SQL Server User connections in the last 24 hours

Processing Rates\Site Servers

  • DDRs/minute in the last 24 hours

  • HINVs/minute in the last 24 hours

  • SINVs/minute in the last 24 hours

  • Status/minute in the last 24 hours

  • SWMs/minute in the last 24 hours

  • Total DDRs in the last 24 hours

  • Total HINVs in the last 24 hours

  • Total SINVs in the last 24 hours

  • Total Status in the last 24 hours

  • Total SWMs in the last 24 hours

See Also

Concepts

Additional Resources for Microsoft System Management Server 2003 Management Pack
Computer Groups for SMS 2003
Providers for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003


Diagrams for SMS 2003

The SMS 2003 Management Pack provides a topology diagram for its SMS hierarchy. Site servers and site systems are displayed showing their relationships to each other with context-sensitive information. Topology diagrams include logical data such as hierarchies and sites and physical data such as site servers and site systems. Since SMS 2003 hierarchies can be large, you can scope the view of your hierarchy to any SMS 2003 computer group by using the Group filter.

Support of topology diagrams for the SMS 2003 Management Pack in Operations Manager 2007 has the following requirements:

  • SMS 2003 SP3 installed on diagrammed SMS servers

  • Topology diagrams must be enabled

  • Each site role must be configured with a fully qualified domain name (FQDN) using the SMS 2003 administrator console

In order for the topology discovery to produce a diagram of your SMS 2003 hierarchy, SMS Provider computers must be managed, an agent must be installed on these computers, and agent proxying for other computers must be enabled. Also, for connectors to be displayed between site servers and site systems, the site systems must have been discovered by an SMS discovery process and must be members of the All Systems collection.

Discovery is performed on a per-site basis from primary sites, and secondary sites are discovered as part of parent primary discovery. The discovery data is provided through Tool Tips and server annotations. In addition, diagrams can be exported to a Microsoft Visio® file format.

SMS Server Topology Image Annotations

Icons for Server Types

  • Database Server Type: Site Database

  • Site System Type: Management Point

  • Server Type: Central Site, Primary Site, Secondary Site, and Site System

Connector Lines

Connector line color and style denote the type of relationship two computers have:

  • The Site Server to Site Server connector is a black solid line.

  • The Site Server to Site System connector is a blue dashed line.

See Also

Concepts

Additional Resources for Microsoft System Management Server 2003 Management Pack
Computer Groups for SMS 2003
Providers for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003


Reports for SMS 2003

The reports described in this section are available in the SMS 2003 Management Pack. Reporting is an optional component that must be installed separately. For more information about deploying the reporting server, see the Operations Manager 2007 product Web page (http://go.microsoft.com/fwlink/?LinkID=83259).

SMS Reporting

The Systems Management Server 2003 Management Pack includes three types of reports:

  • Performance

  • Configuration

  • Availability

Reports are targeted to groups or objects by using the object picker. All reports are linked reports which take advantage of Operations Manager 2007 reporting capabilities. You can choose from among seven exportable formats for your reports.

Availability Reports

There are three Availability reports in the SMS 2003 Management Pack. These reports can be executed against the Microsoft.SMS.2003.ServersGroup object picker target group by selecting the SMS Server Group (Microsoft.SMS.2003.ServersGroup).

Server Availability Report

The Server Availability Report is based upon the aggregate health state of all entities on a particular server. This report will include health states for SMS monitor roles as well as the health states of any other monitored roles.

Site Server Availability

The Site Server Availability Report is based upon the health state of a site server. This report uses information from the health monitor.

Management Point Availability Report

The Management Point Availability Report is based upon the health state of a Management Point. This report uses information from the health monitor.

Configuration Report

There is one configuration report available with the SMS 2003 Management Pack, SMS 2003 Server Customer Configuration Report. This report is a basic custom configuration report containing properties for an SMS server or group of SMS servers.

The report will display the following SMS properties:

  • Version (SMS Product Version)

  • Site System Type (Site System Type, Server Type, Database Server Type)

  • Components (Site Server, Server Locator Point, Distribution Point, Management Point, Reporting Point, Database Server, Provider, Sender, Client Access Point)

  • Site Code (SMS site code)

  • Server Type (Central, Primary, Secondary Site Server)

  • Name (NetBIOS name)

  • Database Server Type (Site Database Server)

This report can be executed against the Microsoft.SMS.2003.ServersGroup object picker target group.

Performance

The performance reports have been grouped into units based first upon the site role being monitored and then by counters based on whether they are rate-related performance counters (such as per sec or per min) or raw counters (totals). This grouping ensures all counters for a report utilize a similar scale.

The reports have been developed based on the type of analysis required. Two sets of reports are available depending upon the type of analysis required. One set shows all the performance counters for a particular SMS server role, such as for a management point or site server. The second set shows all counters for a particular processing object, such as hardware inventory, for all site roles.

SMS 2003 Server Performance Group Reports

To run the following reports, select Microsoft.SMS.2003.ServerPerformanceGroup in the object picker target group.

SMS 2003 Data Discovery Record (DDR) Raw Performance

This report displays the data discovery record (DDR) backlogs and totals processed for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server DDR Backlog | Total DDRs enqueued
SMS 2003 Performance Measure: Site Server Total DDRs processed | Total DDRs processed
SMS 2003 Performance Measure: MP DDR Backlog | Messages queued
SMS 2003 Performance Measure: MP DDR Mgr (Total Reports) | Total reports
SMS 2003 Performance Measure: DMP Total DDRs processed | Total discovery reports generated

SMS 2003 Data Discovery Record (DDR) Rate Performance

This report displays the data discovery record (DDR) processing rates for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server DDR processing rate | DDRs Processed/minute
SMS 2003 Performance Measure: MP DDR Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Performance Measure: DMP DDR processing rate | Discovery Reports Generated/sec

SMS 2003 Hardware Inventory (HINV) Raw Performance

This report displays the hardware inventory (HINV) backlogs and totals processed for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server HINV Backlog | Total MIFs Enqueued
SMS 2003 Performance Measure: Site Server Total HINVs processed | Total MIFs Processed
SMS 2003 Performance Measure: MP HINV Backlog | Messages Queued
SMS 2003 Performance Measure: MP HINV Mgr (Total Reports) | Total Reports
SMS 2003 Performance Measure: DMP Total HINVs processed | Total Hardware Inventory Reports Generated

SMS 2003 Hardware Inventory (HINV) Rate Performance

This report displays the hardware inventory (HINV) processing rates for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server HINV processing rate | MIFs Processed/minute
SMS 2003 Performance Measure: MP HINV Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Performance Measure: MP HINV Retry Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Performance Measure: DMP HINV processing rate | Hardware Inventory Reports Generated /sec

SMS 2003 Software Inventory (SINV) Raw Performance

This report displays the software inventory (SINV) backlogs and totals processed for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server SINV Backlog | Total SINVs Enqueued
SMS 2003 Performance Measure: Site Server Total SINVs processed | Total SINVSs Processed
SMS 2003 Performance Measure: MP FileCollection Backlog | Messages Queued
SMS 2003 Performance Measure: MP SINV Backlog | Messages Queued
SMS 2003 Performance Measure: MP Sinv Mgr (Total Reports) | Total Reports
SMS 2003 Performance Measure: DMP Total SINVs processed | Total Software Inventory Reports Generated

SMS 2003 Software Inventory (SINV) Rate Performance

This report displays the software inventory (SINV) processing rates for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server SINV processing rate | SINVs Processed/minute
SMS 2003 Performance Measure: MP Sinv Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Performance Measure: MP Sinv ColFile Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Performance Measure: DMP SINV processing rate | Software Inventory Reports Generated /sec

SMS 2003 Server System Resource Performance

This report displays the system resource usage by SMS server roles.

SMS 2003 Performance Measure: Memory - %Committed bytes in Use | Committed Bytes In Use
SMS 2003 Performance Measure: Paging File - %Usage | % Usage
SMS 2003 Performance Measure: Processor - % Processor time (_Total) | % Processor Time
SMS 2003 Performance Measure: Process - % Processor time (smsexec) | % Processor Time
SMS 2003 Performance Measure: Process - % Processor time (ccmexec) | % Processor Time
SMS 2003 Performance Measure: System - System Up Time | System Up Time

SMS 2003 Software Metering (SWM) Raw Performance

This report displays the software metering (SWM) backlogs and totals processed for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server SWM Backlog | Total SWM Usage Files Enqueued
SMS 2003 Performance Measure: Site Server Total SWMs processed | Total SWM Usage Records Processed
SMS 2003 Performance Measure: MP Relay Mgr Backlog | Messages Queued
SMS 2003 Performance Measure: MP Relay Mgr (Total Reports) | Total Reports

SMS 2003 Software Metering (SWM) Rate Performance

This report displays the software metering (SWM) processing rates for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server SWM processing rate | SWM Usage Records Processed/minute
SMS 2003 Performance Measure: MP Relay Mgr (Total Reports/sec) | Total Reports/sec

SMS 2003 Status Message Raw Performance

This report displays the SMS Status Message backlogs and totals processed for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server Total Status Messages processed | Received
SMS 2003 Performance Measure: MP Status Backlog | Messages Queued
SMS 2003 Performance Measure: MP Status Mgr (Total Events) | Total Events
SMS 2003 Performance Measure: DMP Total Status Messages processed | Total Status Messages Raised

SMS 2003 Status Message Rate Performance

This report displays the SMS Status Message processing rates for all applicable SMS server roles.

SMS 2003 Performance Measure: Site Server Status processing rate | Processed/sec
SMS 2003 Performance Measure: MP Status Mgr (Total Events/sec) | Total Events/sec
SMS 2003 Performance Measure: DMP Status processing rate | Status Messages Raised /sec

SMS 2003 Supporting Server Roles Performance

This report displays the performance of services supporting SMS server roles.

SMS 2003 Performance Measure: Web Service (ISAPI Extension Requests/sec) | ISAPI Extension Requests/sec
SMS 2003 Performance Measure: SMS SQL Connections | User Connections

SMS 2003 Management Point Server Reports

To run the following reports, select Microsoft Management Point Servers in the object picker target group.

SMS 2003 Device Management Point Raw Performance

This report displays the totals processed for the SMS Device Management Point server role.

SMS 2003 Performance Measure: DMP Total DDRs processed | Total Discovery Reports Generated
SMS 2003 Performance Measure: DMP Total HINVs processed | Total Hardware Inventory Reports Generated
SMS 2003 Performance Measure: DMP Total SINVs processed | Total Software Inventory Reports Generated
SMS 2003 Performance Measure: DMP Total Status Messages processed | Total Status Messages Raised
SMS 2003 Performance Measure: DMP Total ISAPI Requests Dispatched | Total Message Dispatched
SMS 2003 Performance Measure: DMP Total ISAPI Requests Received | Total Messages Received

SMS 2003 Device Management Point Rate Performance

This report displays the processing rates for the Device SMS Management Point server role.

SMS 2003 Performance Measure: DMP Setting Request rate | Dmp Setting Requests/sec
SMS 2003 Performance Measure: DMP Machine Setting Request rate | Machine Setting Requests/sec
SMS 2003 Performance Measure: DMP Software Policy ID Request rate | Software Policy ID Requests/sec
SMS 2003 Performance Measure: DMP Software Policy Body Request rate | Software Policy Body Requests/sec
SMS 2003 Performance Measure: DMP Package Version Request rate | Package Version Requests/sec
SMS 2003 Performance Measure: DMP Discovery Translation Request rate | Discovery Translation Requests/sec
SMS 2003 Performance Measure: DMP Hardware Inventory Translation Request rate | Hardware Inventory Translation Requests/sec
SMS 2003 Performance Measure: DMP Database Connection Attempt rate | Database Connection Attempts/sec
SMS 2003 Performance Measure: DMP DDR processing rate | Discovery Reports Generated/sec
SMS 2003 Performance Measure: DMP HINV processing rate | Hardware Inventory Reports Generated /sec
SMS 2003 Performance Measure: DMP DP Location Request processing rate | Location Requests Generated /sec
SMS 2003 Performance Measure: DMP ISAPI Messages processing rate | Messages Dispatched/sec
SMS 2003 Performance Measure: DMP SINV processing rate | Software Inventory Reports Generated /sec
SMS 2003 Performance Measure: DMP Status processing rate | Status Messages Raised /sec

SMS 2003 Management Point Raw Performance

This report displays the backlogs and totals processed for the SMS Management Point server role.

SMS 2003 Performance Measure: MP DDR Backlog | Messages Queued
SMS 2003 Performance Measure: MP DDR Mgr (Total Reports) | Total Reports
SMS 2003 Performance Measure: MP HINV Backlog | Messages Queued
SMS 2003 Performance Measure: MP HINV Mgr (Total Reports) | Total Reports
SMS 2003 Performance Measure: MP FileCollection Backlog | Messages Queued
SMS 2003 Performance Measure: MP SINV Backlog | Messages Queued
SMS 2003 Performance Measure: MP SINV Mgr (Total Reports) | Total Reports
SMS 2003 Performance Measure: MP Relay Mgr Backlog | Messages Queued
SMS 2003 Performance Measure: MP Relay Mgr (Total Reports) | Total Reports
SMS 2003 Performance Measure: MP Status Backlog | Messages Queued
SMS 2003 Performance Measure: MP Status Mgr (Total Events) | Total Events

SMS 2003 Management Point Rate Performance

This report displays the processing rates for the SMS Management Point server role.

SMS 2003 Perf Measure: MP Location Mgr (MP Requests/sec) | MP Requests/second
SMS 2003 Perf Measure: MP Location Mgr (DP Requests/sec) | DP Requests/second
SMS 2003 Perf Measure: MP Get Policy (Requests/sec) | Requests/second
SMS 2003 Perf Measure: MP Get Auth (Requests/sec) | Requests/second
SMS 2003 Perf Measure: MP Policy Mgr (PA Requests/sec) | PA Requests/second
SMS 2003 Perf Measure: MP DAL (SPs Executed/sec) | SPs Executed/second
SMS 2003 Perf Measure: MP HINV Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Perf Measure: MP HINV Retry Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Perf Measure: MP SINV Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Perf Measure: MP SINV ColFile Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Perf Measure: MP Relay Mgr (Total Reports/sec) | Total Reports/sec
SMS 2003 Perf Measure: MP Status Mgr (Total Events/sec) | Total Events/sec

See Also

Concepts

Additional Resources for Microsoft System Management Server 2003 Management Pack
Computer Groups for SMS 2003
Providers for SMS 2003
Diagrams for SMS 2003
Reports for SMS 2003

Other Resources

Sites and Components for SMS2003 Management Pack
Rule Group for SMS 2003
Scripts for SMS 2003
Views for Microsoft SMS 2003